#!/usr/local/bin/perl
#
# help.cgi
# DCForum99 Version 1.000
# Part of DCForum by DCScripts
# Copyright  1997-1999 DCScripts All Rights Reserved
# 
# As part of the installation process, you will be asked
# to accept the terms of this Agreement. This Agreement is
# a legal contract, which specifies the terms of the license
# and warranty limitation between you and DCScripts and DCForum.
# You should carefully read this terms agreement as outlined in
# the readme.txt file included with this distribution before
# installing or using this software.  Unless you have a different license
# agreement obtained from DCScripts, installation or use of this software
# indicates your acceptance of the license and warranty limitation terms
# contained in this Agreement. If you do not agree to the terms of this
# Agreement, promptly delete and destroy all copies of the Software.
###################################################################
##  German translation by Lothar Jung for Webster Internet Dienstleistungen
##  http://Webster.de/dcscripts/
###################################################################

# Geben Sie den genauen Pfad ($path) zu diesem Programm an wenn
# wenn Sie bei der Ausf&uuml;hrung der Datei Probleme haben.
# Einige Server ben&ouml;tigen den vollen Pfad

$path = ".";

#>>>>>>>>>>>>>>> Keine weiteren &Auml;nderungen in diesem Script erforderlich <<<<<<<<
#>>>>>>>>>>>>>>> Keine weiteren &Auml;nderungen in diesem Script erforderlich <<<<<<<<
#>>>>>>>>>>>>>>> Keine weiteren &Auml;nderungen in diesem Script erforderlich <<<<<<<<

require "$path/dcforum.setup";
require "$path/dcboard.setup";
require "$cgidir/dcforumlib.pl";
require "$cgidir/dclib.pl";

print "Content-type: text/html\n";

$r_in = {};

my $r_setup = initialize($password_file_dir,$forum_file,$board_setup_file);

# Set Global variables

$mesg_font_color = $r_setup->{'board_setup'}->{'font_color_0'};
$mesg_bgcolor = $r_setup->{'board_setup'}->{'bg_color_0'};
$mesg_font_face = $r_setup->{'board_setup'}->{'font_face_0'};
$mesg_font_size = $r_setup->{'board_setup'}->{'font_size_0'};

$list_font_face = $r_setup->{'board_setup'}->{'font_face_3'};
$list_font_color = $r_setup->{'board_setup'}->{'font_color_3'};
$list_font_size = $r_setup->{'board_setup'}->{'font_size_3'};
$list_bgcolor = $r_setup->{'board_setup'}->{'bg_color_3'};
$table_width = $r_setup->{'board_setup'}->{'table_width'};

print "\n";

$html_forum_links = &forum_links($r_in,$r_setup);
$menu_button = create_button("help",$r_in,$r_setup);
$heading = $heading_help;
$sub_heading = $sub_heading_help;
$html_output = &help($r_in,$r_setup);

my %namespace = (
     FORUMLINKS => $html_forum_links,
     MENU => $menu_button,
     TITLE => $heading,
     HEADER => $heading,
     SUBHEADER => $sub_heading,
     HTMLOUTPUT => $html_output
);

display_output($templatefile,\%namespace);

exit(0);

sub help {

	my ($r_in,$r_setup) = @_;
  
 my $html_output .=qq~
  
  <TABLE CELLPADDING="2" BORDER="0" WIDTH="$table_width" ALIGN="CENTER">

  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$mesg_bgcolor">
    <FONT COLOR="$mesg_font_color" Face="$mesg_font_face" size="$mesg_font_size">
    <a name="0"><b>Table of Contents</b></a>
    </FONT>
    </TD>
  </TR>
  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$list_bgcolor">
    <FONT COLOR="$list_font_color" Face="$list_font_face" size="$list_font_size">
		<p>
		<blockquote>
		1. <a href="#1">&Uuml;ber DCForum</a><br>
		2. <a href="#2">N&uuml;tzliche Definitionen</a><br>
		3. <a href="#3">DCForum Icons und Ihr Zweck</a><br>
		4. <a href="#4">Einsatz von DCForum</a><br>
		5. <a href="#5">Coole Tricks</a><br>
		</blockquote>
    </FONT>
    </TD>
  </TR>

	</TABLE>
  <TABLE CELLPADDING="2" BORDER="0" WIDTH="$table_width" ALIGN="CENTER">
  
  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$mesg_bgcolor">
    <FONT COLOR="$mesg_font_color" Face="$mesg_font_face" size="$mesg_font_size">
    <b><a name="1">1. About DCForum</a></b>
    </FONT>
    </TD>
  </TR>
  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$list_bgcolor">
    <FONT COLOR="$list_font_color" Face="$list_font_face" size="$list_font_size">
		Einige Fakten und Daten &uuml;ber DCForum:
		<p>
		<blockquote>
		<ul>
		<li>DCForum wurde in PERL (Practical Extraction & Reporting Language) geschrieben.
		 F&uuml;r weitere Informationn &uuml;ber perl, besuchen Sie: <a href"http://www.perl.com">www.perl.com</a>
    <li>DCForum ist ein Multiuserf&auml;higes Forumis (Bulletin Board System). DCForum hat ein
		v&ouml;llig neues Design in das viele W&uuml;nsche und Anregungen von
		Benutzern eingeflossen sind.
    <li>DCForum ist ein moderiertes Diskussionsforum.  Zu jedem Forum kann ein eigener Moderator 
		eingesetzt werden. Jeder Verwalter hat die M&uuml;glichkeit nur sein eigenes 
		Forum zu administrieren.
		<li>Mit  DCForum k&ouml;nnen Sie zwei de am h&auml;ufigst verwendeten Forum 
		Stile verwenden:<BR>fully-threaded - Alle Beitr&auml;ge des Forums werden angezeigt 
		<BR>linear style discussion - Nur der erste Beitrag wird auf der Startseite gezeigt. 
		Sie k&ouml;nnen jederzeit zwischen diesen Stilen wechseln, die Startseite wird 
		vom Script dynamisch aus einer text Datenbank erzeugt, die Beitr&aumlge werden im 
		HTML Format gespeichert.
		</ul>
		</blockquote>
		<p align="right">
		[ <a href="#0">TOP</a> ]
   </FONT>
    </TD>
	</TR>

	</TABLE>
  <TABLE CELLPADDING="2" BORDER="0" WIDTH="$table_width" ALIGN="CENTER">

  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$mesg_bgcolor">
    <FONT COLOR="$mesg_font_color" Face="$mesg_font_face" size="$mesg_font_size">
    <b><a name="2">2. Useful Definitions</a></b>
    </FONT>
    </TD>
  </TR>
  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$list_bgcolor">
    <FONT COLOR="$list_font_color" Face="$list_font_face" size="$list_font_size">
 		<blockquote>
		<ul>
  	<li><b>&Ouml;ffentliches Forum</b>:  In einem &ouml;ffentlichen Forum kann jeder Besucher
		Ihrer Seite schreiben, ohne sich registrieren zu m&uuml;ssen.
    <li><b>Gesch&uuml;schtes Forum</b>:  Ein gesch&uuml;tztes Forum erlaubt es nur registrtierten Benutzern
		neue Beitr&auml;ge zu schreiben, der Lesezugriff ist f&uuml;r alle m&oum;glich.
    <li><b>Privates Forum</b>:  Auf ein Privates Forum haben nur registrierte Anwender Lese und Schreibzugriff.
		Wer in diesem Forum schreiben m&ouml;chte muss vom Forum Admin freigeschaltet werden.
    <li><b>Lobby</b>: Mit der Lobby wird die erste Seite vom DCForum bezeichnet.  Von hier aus haben Ihre
		Besucher Zugriff auf alle verf&uuml;gbaren Foren.  Auf dieser Seite k&ouml;nnen den Titel und
		die Beschreibung sehen, wer der Forum Admin ist und wieviele Beitr&auml;ge es in diesem Forum gibt.
    <li><b>&Uuml;bersicht </b>: Die &Uuml;bersicht  ist die erste Seite eines jeden Forums auf der alle Beitr&aum;ge angezeigt werden.
    <li><b>Thread/Beitrag</b>: Der Begriff Thread ist am ehesten mit Strang zu &uuml;bersetzen, ein unsch&ouml;nes Wort. Wir benutzen daher den Begriff Beitrag auch f&uuml;r Beitr&auml;ge mit Antworten.
    <li><b>Top</b>: Zum ersten Beitrag eines Eintrags, vergleichbar mit Table of Contents (Inhaltsverzeichnis).
		</ul>
		</blockquote>
		<p align="right">
		[ <a href="#0">TOP</a> ]
    </FONT>
    </TD>
  </TR>
	</TABLE>

  <TABLE CELLPADDING="2" BORDER="0" WIDTH="$table_width" ALIGN="CENTER">
  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$mesg_bgcolor">
    <FONT COLOR="$mesg_font_color" Face="$mesg_font_face" size="$mesg_font_size">
    <b><a name="3">3. DCForum Icons</b>
    </FONT>
    </TD>
  </TR>
  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$list_bgcolor">
    <FONT COLOR="$list_font_color" Face="$list_font_face" size="$list_font_size">
    <p>
    Auf den einzelnen Seiten finden Sie zahlreiche Icons, nachfolgend ihre Bedeutung:
		<p>
		<b>F&uuml;r alle</b>
		<p>
		<blockquote>
    <img src="$imgurl/folder.gif" border="0"> ORDNER Icon...Zeigen auf der Startseite die Beitr&auml;ge an
		zu denen bisher keine Antworten eingetragen worden sind.
		<p>
    <img src="$imgurl/new_folder.gif" border="0"> NEU ORDNER Icon...Beitr&auml;ge mit diesem
		Ordnersymbol enthalten neue Antworten.
		<p>
    <img src="$imgurl/login.gif" border="0"> LOGIN Icon oder <u>[Login/Logout]</u> als Textlink...Wenn Sie
		sich in das Forum einloggen, werden vom Script automatisch alle neuen Beitr&auml;ge
		angezeigt.
		Sie m&uuml;ssen dazu beim letzten Forumbesuch die gelesenen Beitr&auml;ge als
		gelesen markiert haben. (weitere Infos dazu unter dem Stichpunkt unter MARK).
    <p>
    <img src="$imgurl/allnew.gif" border="0"> NEU Icon oder <u>[Neue Beitr&auml;ge]</u> Textlink...Wenn Sie eingeloggt
		sind, klicken Sie auf diesen Button um alle neuen Beitr&auml;ge anzuzeigen.
    <p>
    <img src="$imgurl/lobby.gif" border="0"> LOBBY Icon oder <u>[Lobby]</u> Textlink...kann von allen Seiten aus
		gew&auml;hlt werden und bringt Sie direkt zur Startseite/Lobby zur&uuml;ck.
    <p>
    <img src="$imgurl/home.gif" border="0"> &Uuml;BERSICHT Icon oder <u>[&Uuml;bersicht]</u> Textlink...bringt Sie jeweills
		zur &Uuml;bersichtsseite des gew&auml;lten Forums.
    <p>
    <img src="$imgurl/help.gif" border="0"> HILFE Icon or <u>[Hilfe]</u> textlink...zeigt diese Seite.
    <p>
    <img src="$imgurl/mark.gif" border="0"> MARKIEREN Icon oder <u>[Foren markieren]</u> textlink...Setzt einen Zeitstempel
		und markiert die Nachrichten als gelesen.
		Wenn Sie in der Lobby auf MARKIEREN klicken werden alle Foren als gelesen
		markiert.
    <p>
    <img src="$imgurl/post.gif" border="0"> SCHREIBEN Icon oder <u>[SCHREIBEN]</u> Textlink...Button kann von der Forums-
		&Uuml;bersichtseite angeklickt werden um einen neuen Beitrag zu schreiben, oder in einem Beitrag um eine
		Antwort auf einen Beitrag (Thread) zu schreiben..
    <p>
    <img src="$imgurl/email.gif" border="0"> EMAIL Icon oder <u>[EMAIL]</u> Textlink...klicken Sie an um dem
		Verfasser eines Beitrags direkt eine Mails zu senden. Der Verfasser muss dazu seine Email
		Adresse eingetragen haben.
		Entfernen Sie bitte "REMOVE_THIS" aus der Email Adresse.
    <p>
    <img src="$imgurl/profile.gif" border="0"> PROFIL Icon oder <u>[PROFIL]</u> Textlink...zeigt Ihnen das Profil
		eines registrierten Besuchers, wenn er sein Profil eingetragen hat.
    <p>
    <img src="$imgurl/edit.gif" border="0"> BEARBEITEN Icon oder <u>[BEARBEITEN]</u> Textlink...Sie k&ouml;nnen Ihre
		eigenen Beitr&auml;ge bearbeiten und &auml;nder wenn Sie ein registrierter Anwender sind.
    <p>
    <img src="$imgurl/reply.gif" border="0"> ANTWORTEN Icon oder <u>[ANTWORTEN]</u> Textlink...Zum antworten auf
		einen bestehenden Beitrag.
    <p>
    <img src="$imgurl/reply_quote.gif" border="0"> ANTWORTEN QOUTEN Icon oder <u>[ANTWORT QOUTEN]</u> Textlink...Wenn Sie
		diesen Button benutzen um auf eine Nachricht zu antworten, wird der Text des Beitrages auf den Sie
		antworten automatisch mit in Ihren Beitrag eingef&uuml;gt. Sie k&ouml;nnen auf diese Weise oft
		besser zu einzelnen Punkten eines Beitrages eingehen.
    <p>
    <img src="$imgurl/top.gif" border="0"> TOP Icon oder <u>[TOP]</u> Textlink...Button bringt Sie zur&uuml;ck zum ersten
		Beitrag eines Threads oder zur &Uuml;BERSICHT des Forums.
    <p>
    <img src="$imgurl/search.gif" border="0"> SUCHEN Icon oder <u>[SUCHEN]</u> Textlink...erm&ouml;glicht Ihnen
		die Suche in den Foren und den archivierten Beitr&auml;gen.
    <p>
    <img src="$imgurl/alert.gif" border="0"> ALARM Icon oder <u>[ALARM]</u> Textlink...Button erlaubt es Ihnen,
		sofern Sie selbst ein registrierter Benutzer sind einen Forum Admin &uuml;ber einen Beitrag mit
		nicht gew&uuml;nschten Inhalt zu benachrichtigen.
		<p>
		</blockquote>
		<b>F&uuml; den Administrator und die Moderatoren (Forum Admins)</b>
		<blockquote>
    <img src="$imgurl/archive.gif" border="0"> ARCHIV Icon erlaubt es dem Administrator den gew&auml;hlten
		Beitrag und alle Antworten zu archivieren ohne in den Adminbereich zu wechseln.
		<p>
    <img src="$imgurl/remove.gif" border="0"> L&Ouml;SCHEN Icon erlaubt es dem Administrator den gew&auml;hlten
		Beitrag zu l&ouml;schen ohne in den Adminbereich zu wechseln.

    <br>
		</blockquote>
		<p align="right">
		[ <a href="#0">TOP</a> ]
    </FONT>
    </TD>
  </TR>
	</TABLE>
  <TABLE CELLPADDING="2" BORDER="0" WIDTH="$table_width" ALIGN="CENTER">

  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$mesg_bgcolor">
    <FONT COLOR="$mesg_font_color" Face="$mesg_font_face" size="$mesg_font_size">
    <b><a name="4">4.  Die Benutzung von DC Forum</a></b>
    </FONT>
    </TD>
  </TR>
  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$list_bgcolor">
    <FONT COLOR="$list_font_color" Face="$list_font_face" size="$list_font_size">

    <b>Registrierung:</b>
		<blockquote>
		Wenn Sie in privaten Foren Beitr&auml;ge schreiben wollen, m&uuml;ssen Sie
		sich zun&auml;chst namentlich registrieren.
		Das Formular zur Registrierung k&ouml;nnen Sie mit einem Klick auf das LOGIN Icon
		oder den LOGIN Textlink aufrufen, wenn der Forum Admin den Zugriff darauf freigegeben
		hat. Andernfalls m&uussen Sie den Admin per Mail anschreiben um in dieses Forum
		zu schreiben. 
		</blockquote>

    <b>Navigation:</b>
		<blockquote>
		Die Navigation in DCForum ist denkbar einfach und erfolgt &uuml;ber die Buttons
		und/oder Textlinks. Um z.B. zur Lobby zur&uuml;ck zu kehren benutzen Sie einfach
		auf einer beliebigen Seite den Link: LOBBY.
		</blockquote>

    <b>Neuen Beitrag schreiben:</b>
		<blockquote>
		Klicken Sie einfach auf das Icon SCHREIBEN um einen neuen Beitrag zu schreiben.
		In privaten Foren m&uuml;ssen Sie sich evt. erst registrieren (s. Registrierung).
		</blockquote>

    <b>Auf einen Beitrag antworten:</b>
		<blockquote>
		Klicken Sie einfach auf das ANTWORTEN Icon wenn Sie auf einen bestehenden
		Beitrag antworten m&ouml;chten. Klicken Sie "Original Beitrag quoten" um den
		Text der Original Version in das Antwort Formular zu &uuml;bernehmen.
		</blockquote>

		<p align="right">
		[ <a href="#0">TOP</a> ]
    </FONT>
    </TD>
  </TR>
	</TABLE>
  <TABLE CELLPADDING="2" BORDER="0" WIDTH="$table_width" ALIGN="CENTER">

  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$mesg_bgcolor">
    <FONT COLOR="$mesg_font_color" Face="$mesg_font_face" size="$mesg_font_size">
    <b><a name="5">5.  Coole Tricks</a></b>
    </FONT>
    </TD>
  </TR>
  <TR>
    <TD ALIGN="LEFT" COLSPAN="2" BGCOLOR="$list_bgcolor">
    <FONT COLOR="$list_font_color" Face="$list_font_face" size="$list_font_size">
    Einige n&uuml;tzliche Tricks die Ihnen den Umgang mit dem Forum erleichtern...
    <p>
    <b>Einf&uuml;gen von Links und HTML Code</b>
		<blockquote>
		DCForum filtert alle HTML Tags aus Ihrem Beitrag herraus.
		Statt HTML Tags f&uuml;r Link zu benutzen, k&ouml;nnen Sie einfach
		http://webster.de/dcscripts/ schreiben, DCForum wird diesen Link automatisch
		f&uuml;r Sie verlinken.
		<BR>Um ein Bild zu Ihrem Beitrag hinzuzuf&uuml;gen schreiben Sie einfach:
		image:www.IhreDomain.de/grafikname_und_Endung.
		Also zum Beispiel:
		<br>image:www.dcscripts.com/scripts/dcforum97n/Images/folder.gif
		<br>
		Die Ordnergrafik wird nun automatisch im Beitrag gezeigt, respektiv wird Ihre
		Grafik in Ihrem Beitrag gezeigt.
	</blockquote>
    <b>Einf&uuml;gen von Smilies (Icons)</b>
		<blockquote>
		Wenn Sie <B> :-) </B> wird dieses in Ihrem Beitrag automatisch
		durch diese Grafik ersetzt: <img src="$mainurl/Images/happy.gif" border="0">.
		Schreiben Sie <B> :-(  </B> wird dieses in Ihrem Beitrag durch diese
		Grafik ersetzt: <img src="$mainurl/Images/sad.gif" border="0">

		Wenn weitere Icons verf&uuml;gbar sind wird Sie der Administrator
		auf diesen Seiten informieren.
		</blockquote>
		<p align="right">
		[ <a href="#0">TOP</a> ]
    </FONT>
		&nbsp;
		<p>
    </TD>
  </TR>

  </TABLE>

  ~;
  
}
