#!/usr/local/bin/perl
#
# dcadmin.cgi
# DCForum99 Version 1.1
# Part of DCForum by DCScripts
# Copyright  1997-1999 DCScripts All Rights Reserved
# 
# As part of the installation process, you will be asked
# to accept the terms of this Agreement. This Agreement is
# a legal contract, which specifies the terms of the license
# and warranty limitation between you and DCScripts and DCForum.
# You should carefully read this terms agreement as outlined in
# the readme.txt file included with this distribution before
# installing or using this software.  Unless you have a different license
# agreement obtained from DCScripts, installation or use of this software
# indicates your acceptance of the license and warranty limitation terms
# contained in this Agreement. If you do not agree to the terms of this
# Agreement, promptly delete and destroy all copies of the Software.
###################################################################
##  German translation by Lothar Jung for Webster Internet Dienstleistungen
##  http://Webster.de/dcscripts/
###################################################################

# Geben Sie den genauen Pfad ($path) zu diesem Programm an wenn
# wenn Sie bei der Ausf&uuml;hrung der Datei Probleme haben.
# Einige Server ben&ouml;tigen den vollen Pfad

$path = ".";

#>>>>>>>>>>>>>>> Keine weiteren &Auml;nderungen in diesem Script erforderlich <<<<<<<<

require "$path/dcforum.setup";
require "$path/dcadmin.setup";
require "$cgidir/cgi-lib.pl";
require "$cgidir/dclib.pl";
require "$cgidir/dcforumlib.pl";
require "$cgidir/dcforumlib2.pl";
require "$cgidir/dcprotect.pl";

$| = 1;

print "Content-type: text/html\n";

&ReadParse;

$r_in = \%in;

# HTTP Header Ends here

#$maindir = $maindir;
$r_in->{'privatedir'} = $privatedir;
$r_in->{'cgidir'} = $cgidir;

$r_in->{'database'} = $database;
$r_in->{'counter'} = $datafile;
$r_in->{'ext'} = $ext;

$r_in->{'password_file_dir'} = $password_file_dir;
$r_in->{'password_file'} = $password_file;
$r_in->{'board_setup_file'} = $board_setup_file;
$r_in->{'auth_setup_file'} = $auth_setup_file;
$r_in->{'forum_file'} = $forum_file;
$r_in->{'cookie_name'} = $cookie_name;

# Other variables you won't have to change

$r_in->{'time_stamp'} = "time_stamp";
$r_in->{'expires'} = "Tue, 31-Dec-2002 12:00:00 GMT";

# User authentication
$r_in->{'userdata'} = dcprotect($adminurl,$password_file_dir,$r_in,
	  \@login_fields,\%field_form_type);

# Are we working with archives?

if ($r_in->{'arc_database'}) {
	$database =  "arc_" . $database;
	$r_in->{'database'} = $database;
}

# Initialize setup variables

$r_setup = initialize($password_file_dir,$forum_file,$board_setup_file);

require "$path/global.pl";

$mesg_font_color = $r_setup->{'board_setup'}->{'font_color_0'};
$mesg_bgcolor = $r_setup->{'board_setup'}->{'bg_color_0'};
$mesg_font = $r_setup->{'board_setup'}->{'font_face_0'};
$mesg_font_size = $r_setup->{'board_setup'}->{'font_size_0'};

$list_font_color = $r_setup->{'board_setup'}->{'font_color_2'};
$list_bgcolor = $r_setup->{'board_setup'}->{'bg_color_2'};
$list_font = $r_setup->{'board_setup'}->{'font_face_2'};
$list_font_size = $r_setup->{'board_setup'}->{'font_size_2'};

$table_width = $r_setup->{'board_setup'}->{'table_width'};

if ($r_setup->{'forum_type'}->{ $r_in->{'forum'} } eq 'Private') {
	$ext = $privateext;
	$r_in->{'ext'} = $ext;
	$maindir = $r_in->{'privatedir'};
	$maindir = $maindir;
}

print "\n";

# Check to make sure that user is admin or moderator

unless ($r_in->{'userdata'}->{'Group'} eq 'admin') {

	if ($r_in->{'userdata'}->{'Group'} ne 'moderator') {

	 	my $heading = 'Zugriff verweigert!!!';
		my $sub_heading = '<b>Sie k&ouml;nnen dieses Programm nur als Administrator oder Moderator benutzen"</b>';
   		my $html_output .= qq~
		<h4 align="center"> [ <a href="$boardurl">Zur&uuml;ck zur Startseite</a> ]</h4>
  		~;

   		my %namespace =	(
     	FORUMLINKS => $html_forum_links,
     	MENU => $menu,
     	TITLE => $title,
     	HEADER => $heading,
     	SUBHEADER => $sub_heading,
     	HTMLOUTPUT => $html_output
		);

   		display_output($templatefile,\%namespace);
   		exit;

	}
	elsif ($r_in->{'forum'} eq "") {
		# Do nothing
	}
	elsif ($r_in->{'userdata'}->{'Username'} ne

		$r_setup->{'forum_owner'}->{ $r_in->{'forum'} } ) {

	 	my $heading = 'Zugriff verweigert!!!';
  		my $sub_heading = "<b>Sie haben als Moderator nur Zugriff auf Ihr<BR>
		eigenes Forum.</b>";

   	    my %namespace = (
     	  FORUMLINKS => $html_forum_links,
     	  MENU => $menu,
     	  TITLE => $title,
     	  HEADER => $heading,
     	  SUBHEADER => $sub_heading,
     	  HTMLOUTPUT => $html_output
		);

   	   display_output($templatefile,\%namespace);
   	   exit;
	}

}

if ($in{"forum"}) {
   $forum=$in{"forum"};
}

if ($in{"thread_select"}) {
   $thread_select = $in{'thread_select'};
}

$heading = $main_heading;

if ($in{"az"} eq "manage_user_list") {
	$sub_heading = '';
	$html_output = manage_user_list($r_in,$r_setup);
}
elsif ($in{"az"} eq "list_threads") {
	$sub_heading = $lt_sub_heading;
	my $thisfile =
		"$maindir/$forum/$database";
	$html_output = list_threads($thisfile,$r_in,$r_setup);
}
elsif ($in{"az"} eq "list_message") {
   $sub_heading = $lt_mesg_sub_heading;
	my $thisfile =
		"$maindir/$forum/$thread_dir/$thread_select.$thread_ext";
   $html_output = list_message($thisfile,$r_in);
}
elsif ($in{"az"} eq "update_threads") {
   $sub_heading = $update_sub_heading;
   $html_output = update_threads($r_in,$r_setup);
}
elsif ($in{"az"} eq "remove_lockfiles") {
   $sub_heading = $rm_lock_sub_heading;
   $html_output = remove_lockfiles($r_in,$r_setup);
}
elsif ($in{"az"} eq "remove_randfiles") {
   $sub_heading = $rm_rand_sub_heading;
   $html_output = remove_randfiles($password_file_dir);
}
elsif ($in{"az"} eq "remove_session_files") {
   $sub_heading = $rm_sess_sub_heading;
   $html_output = remove_session_files($r_in,$r_setup);
}
elsif ($in{"az"} eq "remove_threads") {

   $sub_heading = $rt_sub_heading;
	my $thisfile =
		"$maindir/$forum/$database";
   $html_output = remove_threads($thisfile,$r_in,$r_setup);
}
elsif ($in{"az"} eq "move_threads") {

   $sub_heading = $mt_sub_heading;
   $html_output = move_threads($r_in,$r_setup);

}
elsif ($in{"az"} eq "reorder_forum_form") {
   $sub_heading = $rof_sub_heading;
   $html_output = &reorder_forum_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "reorder_forum") {
   $sub_heading = $rofr_sub_heading;
	my $thisfile = "$password_file_dir/$forum_file";
   $html_output = &reorder_forum($thisfile,$r_in);
}
elsif ($in{"az"} eq "reorder_conf_form") {
   $sub_heading = $roc_sub_heading;
   $html_output = &reorder_conf_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "reorder_conf") {
   $sub_heading = $roc_sub_heading;
   $html_output = &reorder_conf($r_in);
}
elsif ($in{"az"} eq "c_forum_form") {
   $sub_heading = $c_forum_form_sub_heading;
   $in{'az'} = "c_forum";
   $html_output = &forum_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "c_conf_form") {
   $sub_heading = $c_conf_form_sub_heading;
   $in{'az'} = "c_conf";
   $html_output = conf_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "c_conf") {
   $sub_heading = $c_conf_sub_heading;
	$in{'conf_desc'} =~ s/\n\n/<p>/g;
	$in{'conf_desc'} =~ s/\r\n/<br>/g;
	$in{'conf_desc'} =~ s/\n/<br>/g;
# BIG5
#	my $temp = join("::",$in{'conf_id'},$in{'conf_name'},$in{'conf_desc'},$in{'conf_status'});
	my $temp = join("\|",$in{'conf_id'},$in{'conf_name'},$in{'conf_desc'},$in{'conf_status'});
	check_datafile("$password_file_dir/$conf_file");
   appenddata("$password_file_dir/$conf_file",$temp);
   $html_output = print_status("Sucessfully created $in{'conf_name'} conference");
}
elsif ($in{"az"} eq "r_conf_select") {
   $sub_heading = $r_conf_select_sub_heading;
   $in{'az'} = "r_conf";
   $html_output = r_conf_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "r_conf") {
   $sub_heading = $r_conf_sub_heading;
   $html_output = m_conf($r_in,$r_setup);
}
elsif ($in{"az"} eq "m_conf_select") {
   $sub_heading = $m_conf_select_sub_heading;
   $in{'az'} = "m_conf_form";
   $html_output = r_conf_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "m_conf_form") {
   $sub_heading = $m_conf_form_sub_heading;
   $in{'az'} = "m_conf";
   $html_output = conf_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "m_conf") {
	$in{'conf_desc'} =~ s/\n\n/<p>/g;
	$in{'conf_desc'} =~ s/\r\n/<br>/g;
	$in{'conf_desc'} =~ s/\n/<br>/g;
   $sub_heading = $m_conf_sub_heading;
   $html_output = m_conf($r_in,$r_setup);
}
elsif ($in{"az"} eq "c_forum") {
   $sub_heading = $c_forum_sub_heading;
   $html_output = &c_forum($r_in,$r_setup);
}
elsif ($in{"az"} eq "m_forum_select") {
   $sub_heading = $m_forum_select_sub_heading;
   $in{'az'} = "m_forum_form";
   $html_output = &r_forum_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "m_forum_form") {
   $sub_heading = $m_forum_form_sub_heading;
   $in{'az'} = "m_forum";
   $html_output = forum_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "m_forum") {
   $sub_heading = $m_forum_sub_heading;
   $html_output = &c_forum($r_in,$r_setup);
}
elsif ($in{"az"} eq "c_setting_form") {
   $sub_heading = $c_setting_form_sub_heading;
	my $thisfile = "$password_file_dir/$board_setup_file";
   $html_output = &c_setting_form($thisfile,$r_in,$r_setup);
}
elsif ($in{"az"} eq "c_setting") {
   $sub_heading = $c_setting_sub_heading;
	my $thisfile =	"$password_file_dir/$board_setup_file";
   $html_output = c_setting($thisfile,$r_in,$r_setup);
}
elsif ($in{"az"} eq "r_forum_form") {
   $sub_heading = $r_forum_form_sub_heading;
   $in{'az'} = "r_forum";
   $html_output = r_forum_form($r_in,$r_setup);
}
elsif ($in{"az"} eq "r_forum") {
   $sub_heading = $r_forum_sub_heading;
	my $thisfile =
		"$password_file_dir/$forum_file";

	if ($in{"forum"}) {
   	$html_output = r_forum($thisfile,$r_in);
	}
	else {
   	$html_output = "Bitte ein w&auml;hlen Sie ein Forum";
	}
}
elsif ($in{"az"} eq "remove_messages") {
   $sub_heading = $r_mesg_sub_heading ;
   if ($in{"thread_select"}) {
      $thread_select = $in{"thread_select"};
   }
	my $thisfile =
		"$maindir/$r_in->{'forum'}/$thread_dir/$thread_select\.$thread_ext";
   $html_output = remove_messages($thisfile,$r_in,$r_setup);
}
else {
   $sub_heading = $main_sub_heading;
   $html_output = main($r_in,$r_setup);
}

# namespace hash, used for template output

$menu = menu($r_in);

my %namespace =	(
   FORUMLINKS => $html_forum_links,
   MENU => $menu,
   TITLE => $heading,
   HEADER => $heading,
   SUBHEADER => $sub_heading,
   HTMLOUTPUT => $html_output
);

&display_output($templatefile,\%namespace);

exit(0);


####
#
#	manage_user_list
# This function is used by the moderators to add/remove users
# to their forums
####

sub manage_user_list {

	my ($r_in,$r_setup) = @_;

	my $html_output = '';
	
	if ($r_in->{'command'} eq 'update') {
		
		unless ($r_in->{'users'} eq 'all') {

			# put users selected into an array
			my @users = split(/\0/,$r_in->{'users'});

			# need to the following to add a line return to
			# every element
			# soley needed to use writedata
		
			for ($j=0;$j<@users;$j++) {
				chomp($users[$j]);
				$users[$j] .= "\n";
			}

			writedata("$password_file_dir/$r_in->{'forum'}.$priv_user_ext",\@users);

			$html_output = "";
			$html_output .= qq~
			<center>
			<font size="3" face="$list_font" color="$list_font_color">
			<b>Die Userliste f&uuml;r die Foren wurde aktualisiert</b></font>
			<p>
			<font size="2" face="$list_font" color="$list_font_color">
			Folgende User haben Zugriff auf das Forum $r_in->{'forum'}:
			<p>
			</center>
			<ul>~;
		
			foreach (@users) {
				$html_output .= "<DD>$_\n";
			}
		
			$html_output .= qq~
			</ul></font>
			~;

		}
		else {

	      get_members($r_in);
			my @users;
   	   foreach (@{$r_in->{'user_list'}}) {
           push(@users,"$_\n");
			}

			if (-e "$password_file_dir/$forum.$priv_user_ext") {
				$r_members = readdata("$password_file_dir/$r_in->{'forum'}.$priv_user_ext");
			}
			else {
				check_datafile("$password_file_dir/$r_in->{'forum'}.$priv_user_ext");
			}
			writedata("$password_file_dir/$r_in->{'forum'}.$priv_user_ext",\@users);

			$html_output = "";
			$html_output .= qq~
			<center>
			<font size="3" face="$list_font" color="$list_font_color">
			<b>Die Userliste f&uuml;r die Foren wurde aktualisiert</b></font>
			<p>~;

		}

	}
	else {

      get_members($r_in);

		my @user_list;
      foreach (@{$r_in->{'user_list'}}) {
           push(@user_list,"$_");
		}
		
		if (-e "$password_file_dir/$forum.$priv_user_ext") {
			$r_members = readdata("$password_file_dir/$r_in->{'forum'}.$priv_user_ext");
		}
		else {
			check_datafile("$password_file_dir/$r_in->{'forum'}.$priv_user_ext");
		}

		$html_output .=qq~
    	<FORM METHOD=POST>
    	<input type="hidden" name="az" value="$r_in->{'az'}">
    	<input type="hidden" name="command" value="update">
    	<input type="hidden" name="forum" value="$r_in->{'forum'}">
    	<TABLE BORDER="0" CELLPADDING="3" WIDTH="100%">
    	<TR><TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		   <font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
	      <b>Vorhandene Userliste(n)</b></FONT>
    	</TH>
		<TH BGCOLOR="$mesg_bgcolor" ALIGN="left" VALIGN="TOP">
		   <font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
	      Aktueller User Status (Checked = On)
       </FONT>
    	</TH>
		</TR>~;

		foreach $user (sort @user_list) {
			&toggle_color();
			$html_output .= qq~
	      <tr><Th BGCOLOR="$bgcolor" ALIGN="right">
		   <font size="$font_size" face="$font_face" color="$font_color">
		   $user</font></Th>~;
			
			my $access;

			foreach (@$r_members) {
				chomp;
				if ($_ eq $user) {
					$access = 'on';
					last;
				}
			}
	
			if ($access eq 'on') {
				$html_output .= qq~
		      <TD BGCOLOR="$bgcolor" ALIGN="LEFT" VALIGN="center">
		   <font size="$font_size" face="$font_face" color="$font_color">
			   <input type="checkbox" name="users" value="$user" checked> </font></Td>~;
			}
			else {
				$html_output .= qq~
		      <TD BGCOLOR="$bgcolor" ALIGN="LEFT" VALIGN="center">
		   <font size="$font_size" face="$font_face" color="$font_color">
			   <input type="checkbox" name="users" value="$user"></font></Td>~;
			}	
			$html_output .= "</tr>\n";
		}

			$html_output .= qq~
		 <TR><TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">&nbsp;</TH>
		     <TH BGCOLOR="$mesg_bgcolor" ALIGN="left" VALIGN="TOP">
			  <INPUT TYPE="SUBMIT" VALUE="Userliste aktualisieren">
			  <INPUT TYPE="Reset" value="l&ouml;schen">
		     </TH></TR></table></form>~;
	}
	
}


###
### subroutine main
### main admin page
###

sub main {

	my ($r_in,$r_setup) = @_;

	my $html_output .= qq~
		<hr size=1>
		<TABLE BORDER="0" cellpadding="2" align="center">
	~;

	if ($r_in->{'userdata'}->{'Group'} eq "admin") {

		$html_output .= qq~
		<TR><TD COLSPAN="2" ALIGN="left" bgcolor="$mesg_bgcolor">
				<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
				<B><U>Generelle Administration</U></B></font></TD></TR>   
		<TR><TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
				<font size="$list_font_size" face="$list_font" color="$list_font_color">
      	<img src="$imgurl/usm.gif"><a
				href="$adminurl?dc_action=configure"><b>Forum Security Manager</b></a><br>
				Sicherheitseinstellungen f&uuml;r das Forum &auml;ndern.<br>
	      <img src="$imgurl/usm.gif"><a
				href="$adminurl?az=c_setting_form&type=board"><b>Forum Einstellungen</b></a>
				<br>Forumeinstellungen bearbeiten.</font></TD></TR>   
	  <TR><TD COLSPAN="2" ALIGN="left" bgcolor="$mesg_bgcolor">
				<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
		  	<B><U>User Administration</U></B></font></TD>
    </TR>   
    <TR>
    	<TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
				<font size="$mesg_font_size" face="$mesg_font" color="$list_font_color">
	      <img src="$imgurl/usm.gif"><a
		   	href="$adminurl?dc_action=usermanage"><b>User Manager</b></a><br>
				Mit dem User Manager legen Sie neue User an, l&ouml;schen User und bearbeiten
				deren Status.
				</font>
      </TD>
    </TR>   

    <TR>
       <TD COLSPAN="2" ALIGN="left" bgcolor="$mesg_bgcolor">
				<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
	     <B><U>Gruppen Manager</U></B>
				</font>
       </TD>
     </TR>   

     <TR>
        <TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
				<font size="$list_font_size" face="$list_font" color="$list_font_color">
		   		<img src="$imgurl/usm.gif"><a
		   		href="$adminurl?az=c_conf_form"><b>Gruppe anlegen</b></a><br>
					Eine neue Forengruppe erstellen
	      	<br>
		   		<img src="$imgurl/usm.gif"><a
		   		href="$adminurl?az=m_conf_select"><b>Gruppe bearbeiten</b></a><br>
					Ein bestehende Forengruppe bearbeiten.
					&Auml;ndern von Name, Status, Beschreibungn und ID.
		   		<br>
		   		<img src="$imgurl/usm.gif"><a
		   		href="$adminurl?az=reorder_conf_form"><b>Gruppe neu ordnen</b></a><br>
					Neuordnung der Forengruppen. Bitte behandeln Sie diese Funktion mit Vorsicht.
					BENUTZEN SIE JEDE ID NUR EINMAL!
	      	<br>
		   		<img src="$imgurl/usm.gif"><a
		   		href="$adminurl?az=r_conf_select"><b>Bestehende Gruppe l&ouml;schen</b></a><br>
					Bestehende Forengruppe l&ouml;schen. Achten Sie darauf vorhandene Foren
					neu zuzuordnen wenn Sie deren Forengruppe gel&ouml;scht haben.
			    </font>
        </TD>
      </TR>

    <TR>
       <TD COLSPAN="2" ALIGN="left" bgcolor="$mesg_bgcolor">
				<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
	     <B><U>Generelle Forum Einstellungen</U></B>
				</font>
       </TD>
     </TR>   

     <TR>
        <TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
				<font size="$list_font_size" face="$list_font" color="$list_font_color">
		   		<img src="$imgurl/usm.gif"><a
		   		href="$adminurl?az=c_forum_form"><b>Neues Forum erstellen</b></a><br>
					Zum erstellen eines neuen Forums.
	      	<br>
		   		<img src="$imgurl/usm.gif"><a
		   		href="$adminurl?az=m_forum_select"><b>Forum bearbeiten</b></a><br>
					Einstellungen f&uuml;r ein vorhandenes Forum bearbeiten.
					Titel, Beschreibung, Status usw.
		   		<br>
		   		<img src="$imgurl/usm.gif"><a
		   		href="$adminurl?az=reorder_forum_form"><b>Foren neu ordnen</b></a><br>
					Neuordnung der Foren. Bitte behandeln Sie diese Funktion mit Vorsicht.
					BENUTZEN SIE JEDE ID NUR EINMAL!
	      	<br>
		   		<img src="$imgurl/usm.gif"><a
		   		href="$adminurl?az=r_forum_form"><b>Forum l&ouml;schen</b></a><br>
					Vollst&auml;ndiges l&ouml;schen eines Forums. Vorsicht, Dieser Vorgang
					kann nicht r&uuml;ckg&auml;ngig gemacht werden!
					</font>
        </TD>
      </TR>~; #

		}
		
		$html_output .= qq~
	    <TR>
	       <TD COLSPAN="2" ALIGN="left" bgcolor="$mesg_bgcolor">
					<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
		     <B><U>User Manager f&uuml;r Private Foren</U></B>
					</font>
	       </TD>
	     </TR>   
	
	     <TR>
        <TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
				<font size="$list_font_size" face="$list_font" color="$list_font_color">
         	<img src="$imgurl/usm.gif">
					<u><b>User Manager f&uuml;r Private Foren</b></u><br>
						Userfunktionen nur f&uuml;r Private Foren.
						</TD></TR>
			<FORM METHOD="POST" ACTION="$adminurl">
	      <TR>
	      	<TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
						<font size="$list_font_size" face="$list_font" color="$list_font_color">
			 			<U><b>W&auml;hlen Sie ein Forum (Nur wenn Sie Moderator von mehr als einem Forum sind)</b></U>
						</font>
	      	</TD>
	      </TR>~;

			toggle_color('reset');
		   foreach (@{ $r_setup->{'forums'} }) {

			   my $access = "no";
			
				if ($r_setup->{'forum_type'}->{$_} eq 'Private') {
					if ($r_in->{'userdata'}->{'Group'} eq "admin" or
							$r_setup->{'forum_owner'}->{$_} eq
								$r_in->{'userdata'}->{'Username'}) {
			    		$access = "yes";
			   	}
				}

				if ($access eq 'yes') {		
		      	$html_output .= qq~
		      		<TR>
				      	 <TD ALIGN="right" VALIGN="TOP" bgcolor="$bgcolor">
					      	<INPUT TYPE="RADIO" NAME="forum" VALUE="$_">
				          </TD>
		            <TD ALIGN="LEFT" VALIGN="TOP" bgcolor="$bgcolor">
							<font size="$font_size" face="$font_face" color="$font_color">
		                  <img src="$imgurl/folder.gif">
		                  <a href="$boardurl?az=list&forum=$_">$r_setup->{'forum_name'}->{$_}</a>
										<font size="-1" face="$list_font" color="$list_font_color">[
		                  <a href="$adminurl?az=manage_user_list&command=update&users=all&forum=$_">Allow 
								All Members</a> (member,team,moderator,admin)]
										<font size="-1" face="$list_font" color="$list_font_color">

								<br>
								(Type=$r_setup->{'forum_type'}->{$_},
								Owner=$r_setup->{'forum_owner'}->{$_},
								Status=$r_setup->{'forum_status'}->{$_})
								</font><br>
								</TD>
		      	      </TR>
						~;
		      }
				toggle_color();
		   }

			$html_output .= qq~
			<TR><TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
			   <INPUT TYPE="HIDDEN" NAME="az" VALUE="manage_user_list">
			   <INPUT TYPE="SUBMIT" VALUE="User Manager">
			   <INPUT TYPE="RESET" VALUE="Eingaben l&ouml;schen">
				</FORM></TD></TR>~;


		$html_output .= qq~
			<TR>
				<TD COLSPAN="2" ALIGN="left" bgcolor="$mesg_bgcolor">
					<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
		   		<B><U>Forum Board Manager</U></B>
					</font>
				</TD>
			</TR>
			<TR>
      	<TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
			<FORM METHOD="POST" ACTION="$adminurl">
				<font size="$list_font_size" face="$list_font" color="$list_font_color">~; #####

		if ($r_in->{'userdata'}->{'Group'} eq "admin") {

			$html_output .= qq~
			<p>
         	<img src="$imgurl/usm.gif"><a
						href="$adminurl?az=update_threads"><b>Beitr&auml;ge(Threads) aktualisieren</b></a><br>
						Nach einer &Auml;nderung Ihres Layouts k&ouml;nnen Sie mit dieser Funktion
						alle Forumseiten erneuern.<br>
         	<img src="$imgurl/usm.gif"><a
						href="$adminurl?az=remove_session_files"><b>User Session Dateien l&ouml;schen</b></a><br>
						Wenn sich Ihre Benutzer anmelden, werden Session(Sitzungs-) Dateien angelegt.
						Haben sich Ihre Benutzer nicht richtig ausgeloggt k&ouml;nnen diese
						Dateien nicht automatisch gel&ouml;scht werden und verschwenden Ihren
						Webspeicher.
			<br>
         	<img src="$imgurl/usm.gif"><a
						href="$adminurl?az=remove_session_files&what=all"><b>Alle User Session Dateien l&ouml;schen</b></a><br>
						Mit dieser Funktion l&ouml;schen Sie alle Session(Sitzungs-) Userdateien, auch die
						Dateien in denen die Daten von Usern gespeichert sind, die die
						<b>Passwort merken</b> Funktion benutzen.
			<br>
         	<img src="$imgurl/usm.gif"><a
						href="$adminurl?az=remove_lockfiles"><b>Lock Dateien l&ouml;schen</b></a><br>
						Lock Dateien werden benutzt um das &uuml;berschreiben von Dateien die
						gerade von Scripts benutzt werden zu verhindern. Dabei k&ouml;nnen
						durch Zugriffsrechte Dateileichen zur&uuml;ckbleiben die Sie mit dieser
						Funktion l&ouml;schen k&ouml;nnen.
			<br>
         	<img src="$imgurl/usm.gif"><a
						href="$adminurl?az=remove_randfiles"><b>Tempo&auml;re Dateien</b></a><br>
						Im Verzeichnis User_info werden zahlreiche Dateien zwischengespeichert
						die Sie mit dieser Funktion l&ouml;schen k&ouml;nnen.
						~; #####
		}
		$html_output .= qq~
			<br>
				<img src="$imgurl/usm.gif"><b><u>Forum administrieren</u></b>:
				<br>
				Die Administration Ihres Forums erfolgt in zwei Schritten:
				<p>
				1) W&auml;hlen Sie die durchzuf&uuml;hrende Operation, archivieren, l&ouml;schen von
				einzelnen Beitr&auml;gen	oder ganzen Beitr&auml;gen (Threads)
				<br>
				2) W&auml;hlen Sie das Forum f&uuml;r die Funktion
				<P>
				Wenn Sie mit archivierten Foren arbeiten wollen,
				markieren Sie die Checkbox:
				"Mit archivierten Beitr&auml;gen arbeiten".
				</font>
      	</TD>
      </TR>   
      <TR>
      	<TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
					<font size="$list_font_size" face="$list_font" color="$list_font_color">
		 			<U><b>Schritt 1) Funktion ausw&auml;hlen</b></U>
					</font>
      	</TD>
      </TR>
      <TR>
	      <TD ALIGN="right" VALIGN="TOP" bgcolor="$list_bgcolor">
	      	<INPUT TYPE="RADIO" NAME="remove_type" VALUE="archive_threads">
	      </TD>
        <TD ALIGN="LEFT" VALIGN="TOP" bgcolor="$list_bgcolor">
				<font size="$list_font_size" face="$list_font" color="$list_font_color">
			   		<b>Beitr&auml;ge archivieren</b> - 
					L&ouml;schen Sie vorher die Beitr&auml;ge die Sie l&ouml;schen wollen.
					</font>
        </TD>

		</tr>~; #####

	if ($r_in->{'userdata'}->{'Group'} eq "admin") {

   $html_output .= qq~
      <TR>
	      <TD ALIGN="right" VALIGN="TOP" bgcolor="$list_bgcolor">
	      <INPUT TYPE="RADIO" NAME="remove_type" VALUE="move_threads">
	      </TD>
         <TD ALIGN="LEFT" VALIGN="TOP" bgcolor="$list_bgcolor">
					<font size="$list_font_size" face="$list_font" color="$list_font_color">
			   		<b>Beitr&auml;ge verschieben</b> - Sie k&ouml;nnen Beitr&auml;ge in ein anderes Forum verschieben.
					</font>
        </TD>
		</tr>
~;

	}

   $html_output .= qq~
		<tr>
	      <TD ALIGN="right" VALIGN="TOP" bgcolor="$list_bgcolor">
	      <INPUT TYPE="RADIO" NAME="remove_type" VALUE="remove_threads">
	      </TD>
         <TD ALIGN="LEFT" VALIGN="TOP" bgcolor="$list_bgcolor">
					<font size="$list_font_size" face="$list_font" color="$list_font_color">
		   		<b>Beitr&auml;ge l&ouml;schen</b> - 
					L&ouml;scht einen ganzen Beitrag inkl. aller Antworten.
					</font>
         </TD>
      </TR>
      <TR>
	      <TD ALIGN="right" VALIGN="TOP" bgcolor="$list_bgcolor">
	      	<INPUT TYPE="RADIO" NAME="remove_type" VALUE="remove_message">
	      </TD>
	      <TD ALIGN="LEFT" VALIGN="TOP" bgcolor="$list_bgcolor">
					<font size="$list_font_size" face="$list_font" color="$list_font_color">
	      	<b>Einzelne Beitr&auml;ge l&ouml;schen</b> - Zum l&ouml;schen einzelner Beitr&auml;ge
			aus einem Beitrags-Thread, die Ursprungsnachricht bleibt erhalten.
					</font>
         </TD>   
      </TR>
      <TR>
         <TD COLSPAN="2" ALIGN="left" bgcolor="$list_bgcolor">
					<font size="$list_font_size" face="$list_font" color="$list_font_color">
			   	<U><b>Step 2) W&auml;hlen Sie das Forum</b></U>
					<br>
						<input type="checkbox" name="arc_database" value="not_empty">
						Mit archivierten Beitr&auml;gen arbeiten?
					</font> 
        </TD>
      </TR>
	~;


	toggle_color('reset');
   foreach (@{ $r_setup->{'forums'} }) {
      if ($r_in->{'userdata'}->{'Group'} eq "admin") {
      	$html_output .= qq~
      	<TR>
		      	<TD ALIGN="right" VALIGN="TOP" bgcolor="$bgcolor">
			      	<INPUT TYPE="RADIO" NAME="forum" VALUE="$_">
		        </TD>
            <TD ALIGN="LEFT" VALIGN="TOP" bgcolor="$bgcolor">
					<font size="$font_size" face="$font_face" color="$font_color">
             	<img src="$imgurl/folder.gif">
              	<a href="$boardurl?az=list&forum=$_">$r_setup->{'forum_name'}->{$_}</a>
								<font size="-1" face="$list_font" color="$list_font_color">
						<br>
						(Type=$r_setup->{'forum_type'}->{$_},
						Owner=$r_setup->{'forum_owner'}->{$_},
						Status=$r_setup->{'forum_status'}->{$_})
						<br>
						</font>
						</TD>
      	    </TR>
      	~;
      }
      elsif ($r_setup->{'forum_owner'}->{$_} eq
					$r_in->{'userdata'}->{'Username'} &&
            	$r_setup->{'forum_status'}->{$_} eq "on") {

      	$html_output .= qq~
      		<TR>
		      	 <TD ALIGN="right" VALIGN="TOP" bgcolor="$bgcolor">
			      	<INPUT TYPE="RADIO" NAME="forum" VALUE="$_">
		          </TD>
            <TD ALIGN="LEFT" VALIGN="TOP" bgcolor="$bgcolor">
					<font size="$font_size" face="$font_face" color="$font_color">
                  <img src="$imgurl/folder.gif">
                  <a href="$boardurl?az=list&forum=$_">$r_setup->{'forum_name'}->{$_}</a>
								<font size="-1" face="$list_font" color="$list_font_color">
						<br>
						(Type=$r_setup->{'forum_type'}->{$_},
						Owner=$r_setup->{'forum_owner'}->{$_},
						Status=$r_setup->{'forum_status'}->{$_})
						</font><br>
						</TD>
      	      </TR>
				~;
      }
	toggle_color();
   }

   $html_output .= qq~
		<tr><TD ALIGN="left" VALIGN="TOP" bgcolor="$list_bgcolor" COLSPAN="2">
   		<INPUT TYPE="HIDDEN" NAME="az" VALUE="list_threads">
   		<INPUT TYPE="SUBMIT" VALUE="Funktion ausf&uuml;hren">
   		<INPUT TYPE="RESET" VALUE="Eingaben l&ouml;schen"></FORM></TD>
      </TR>
   </TABLE>~;

   $html_output;

}

#####
# remove_randfiles
# rand files are used to eliminate double postings
# There should be a better way to do this...
#
#####

sub remove_randfiles {

   my $dir = shift;
   my $output;
   
   opendir(D,"$dir") || die $!;
   while ($file = readdir(D)) {
      if ($file =~ /[0-9]+.dat/ or $file =~ /(.*).$email_ext/ ) {
         unlink("$dir/$file");
      }
   }
   closedir(D);

   $output = print_status("Alle Random Dateien wurden gel&ouml;scht!");

   $output;
}

###
# subroutine c_forum
# Creates new forum
# Creates directories and files
###

sub c_forum {

	my($r_in,$r_setup) = @_;
	my $output;

	my $forum_dir = $password_file_dir;
	my $type = $r_in->{'c_forum_type'};

	# Convert control characters to HTML equivalents
	
	$r_in->{'c_forum_desc'} =~ s/\n\n/<p>/g;
	$r_in->{'c_forum_desc'} =~ s/\r\n/<br>/g;
	$r_in->{'c_forum_desc'} =~ s/\n/<br>/g;

	my $forum = $r_in->{'c_forum_folder'};
	chomp($r_setup->{'forum_conf'}->{$forum});

	$r_setup->{'forum_name'}->{$forum} = $r_in->{'c_forum_name'};
	$r_setup->{'forum_conf'}->{$forum} = $r_in->{'c_forum_conf'};
	$r_setup->{'forum_desc'}->{$forum} = $r_in->{'c_forum_desc'};
	$r_setup->{'forum_owner'}->{$forum} = $r_in->{'c_forum_owner'};
	$r_setup->{'forum_owner_email'}->{$forum} = $r_in->{'c_forum_owner_email'};
	$r_setup->{'forum_status'}->{$forum} = $r_in->{'c_forum_status'};
	$r_setup->{'forum_last'}->{$forum} = $r_in->{'c_forum_last'};
	$r_setup->{'forum_type'}->{$forum} = $r_in->{'c_forum_type'};
	$r_setup->{'forum_threads'}->{$forum} = $r_in->{'c_forum_threads'};
	$r_setup->{'forum_archive'}->{$forum} = $r_in->{'c_forum_archive'};

	if ($r_in->{'az'} eq "m_forum") {

		save_forum_info("$forum_dir/$forum_file",$r_setup);

        $output = print_status("Forum 
			\"$r_setup->{'forum_name'}->{$forum}\" Einstellungen ge&auml;ndert!");

	}
	else {

		push(@{$r_setup->{'forums'}},$forum);
		save_forum_info("$forum_dir/$forum_file",$r_setup);

		if ($type eq "Private") {
			check_dir("$privatedir/$forum");
			check_dir("$privatedir/$forum/$thread_dir");
			check_dir("$privatedir/$forum/$email_dir");
			check_datafile("$privatedir/$forum/arc_$database");
			check_datafile("$privatedir/$forum/$database");
			check_datafile("$privatedir/$forum/$datafile");
		}
		else {
			check_dir("$maindir/$forum");
			check_dir("$maindir/$forum/$thread_dir");
			check_dir("$maindir/$forum/$email_dir");
			check_datafile("$maindir/$forum/arc_$database");
			check_datafile("$maindir/$forum/$database");
			check_datafile("$maindir/$forum/$datafile");
		}

        $output = print_status("Neues Forum 
			\"$r_setup->{'forum_name'}->{$forum}\" wurde erstellt!");
		

	}

	$output;

}

###
# subroutine m_conf
# Modify conference
###

sub m_conf {

    my ($r_in,$r_setup) = @_;
    my $output;

	my @new_conf;
# BIG5
#	my $new_string = join("::",$r_in->{'conf_id'},$r_in->{'conf_name'},$r_in->{'conf_desc'},$r_in->{'conf_status'});
	my $new_string = join("\|",$r_in->{'conf_id'},$r_in->{'conf_name'},$r_in->{'conf_desc'},$r_in->{'conf_status'});
	my $r_conf = readdata("$password_file_dir/$conf_file");

	foreach (@$r_conf) {
		chomp;
# BIG5
#		if ($_ =~ /^$r_in->{'conf_id'}::/) {
		if ($_ =~ /^$r_in->{'conf_id'}\|/) {
			if ($r_in->{'az'} eq 'm_conf') {
				push(@new_conf,"$new_string\n");
			}
		}
		else {
			push(@new_conf,"$_\n");
		}
	}

	writedata("$password_file_dir/$conf_file",\@new_conf);

   $output = print_status("Gruppendateien wurden aktualisiert!");

   $output;
}

###
### subroutine forum_form
### displays the form for creating a new forum
###

sub conf_form {

   my ($r_in,$r_setup) = @_;
   my $html_output = "";
	my ($conf_id,$conf_name,$conf_desc,$conf_status);

	if ($r_in->{'az'} eq 'm_conf') {
		my $r_conf = readdata("$password_file_dir/$conf_file");

		foreach (@$r_conf) {
			chomp;
# BIG5
#			if ($_ =~ /^$r_in->{'conf_id'}::/) {
			if ($_ =~ /^$r_in->{'conf_id'}\|/) {
# BIG5
#				($conf_id,$conf_name,$conf_desc,$conf_status) = split /::/;
				($conf_id,$conf_name,$conf_desc,$conf_status) = split /\|/;
				last;
			}
		}

	}

	$html_output .=qq~
    <hr size="1">
    <FORM METHOD=POST ACTION="$adminurl">
    <input type="hidden" name="az" value="$r_in->{'az'}">
    <TABLE BORDER="0" CELLPADDING="4" WIDTH="100%" ALIGN="CENTER">

    <TR>
     <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		   <font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
	      <b>Gruppen ID:</b><br>
				ID f&uuml;r die Forengruppe. Der Name mu eindeutig sein und
				darf keine Leerzeichen enthalten.<br>
				Zum Beispiel: conf1 or conf_this_topic<br>
       	</FONT>
			</td>
     		<TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">~;
	if ($conf_id) {
		$html_output .=qq~
			<input type="hidden" name="conf_id" value="$conf_id">
			$conf_id
		~;
	}
	else {
		$html_output .=qq~
			<input type="text" size="40" name="conf_id">
		~;
	}

		$html_output .=qq~
      	</TD>
     </TR>
    <TR>
     <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		   <font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
	      <b>Gruppen Name:</b><br>
			Dieser Name wird in der Lobby f&uuml;r diese Forengruppe benutzt.<br>
       	</FONT></TD>
     		<TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<input type="text" size="40" name="conf_name" value="$conf_name">
      	</TD>
     </TR>
    <TR>
     <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		   <font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
	      <b>Gruppen Beschreibung:</b><br>
         Beschreibung &uuml;ber den Inhalt der Forengruppe.
       	</FONT></TD>
     		<TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<textarea rows="4" cols="40" name="conf_desc" wrap="virutal">$conf_desc</textarea>
      	</TD>
     </TR>
    <TR>
     <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		   <font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
	      <b>Gruppen Status:</b><br>
			W&auml;hlen Sie "Aktiv" um die Forengruppe in der Lobby zu zeigen.
       	</FONT></TD>
     		<TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">~;

	if ($conf_status eq "on") {
		$html_output .= qq~
			<input type="radio" name="conf_status" value="on" checked>Aktiv
			<input type="radio" name="conf_status" value="off">Inaktiv
			~;
	}
	else {
		$html_output .= qq~
			<input type="radio" name="conf_status" value="on">Aktiv
			<input type="radio" name="conf_status" value="off" checked>Inaktiv
			~;
	}

		$html_output .= qq~
      	</TD>
     </TR>
   <TR>
      <TD BGCOLOR="$mesg_bgcolor" colspan="2" ALIGN="Center" VALIGN="TOP">
	   <INPUT type="submit" value="Daten speichern">
   		<INPUT type="reset" value="Daten wiederherstellen">
      </TD>
   </TR>
   </TABLE>
   </FORM>
   ~;

	$html_output;
}

###
### subroutine r_conf_form
### displays the form modifying and for removing conf
###


sub r_conf_form {

	my ($r_in,$r_setup) = @_;

	my $html_output .=qq~
	<hr size="1">
	<FORM METHOD=POST>
	<input type="hidden" name="az" value="$r_in->{'az'}">
   <TABLE BORDER="0" CELLPADDING="2" WIDTH="100%" ALIGN="CENTER">
   <TR>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Auswahl
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum ID
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Name
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Beschreibung
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Status
		</font>
      </Th>
   </TR>
	~;

	my $r_conf = readdata("$password_file_dir/$conf_file");

	foreach (@$r_conf) {
		chomp;
# BIG5
#		my ($conf_id,$conf_name,$conf_desc,$conf_status) = split /::/;
		my ($conf_id,$conf_name,$conf_desc,$conf_status) = split /\|/;

		$html_output .=qq~
	   <TR>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
				<input type="radio" name="conf_id" value="$conf_id">
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$conf_id
			</font>
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$conf_name
			</font>
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$conf_desc
			</font>
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$conf_status
			</font>
	      </TD>
	   </TR>
		~;

	}	
	$html_output .=qq~
   <TR>
      <TD BGCOLOR="$mesg_bgcolor"  colspan="6" ALIGN="Center" VALIGN="CENTER">
	   <INPUT type="submit" value="Absenden">
   		<INPUT type="reset" value="Auswahl l&ouml;schen">
      </TD>
   </TR>
   </TABLE>
   </FORM>
   ~;

   $html_output;
}


###
### subroutine forum_form
### displays the form for creating a new forum
###

sub forum_form {

  my ($r_in,$r_setup) = @_;
  my $html_output = "";

   if ($r_in->{'az'} eq "m_forum") {
			my $forum = $r_in->{'forum'};
			$r_in->{'c_forum_folder'} = $forum;
			$r_in->{'c_forum_conf'} = $r_setup->{'forum_conf'}->{$forum};
			$r_in->{'c_forum_name'} = $r_setup->{'forum_name'}->{$forum};
			$r_in->{'c_forum_desc'} = $r_setup->{'forum_desc'}->{$forum};
			$r_in->{'c_forum_owner'} = $r_setup->{'forum_owner'}->{$forum};
			$r_in->{'c_forum_owner_email'} = $r_setup->{'forum_owner_email'}->{$forum};
			$r_in->{'c_forum_type'} = $r_setup->{'forum_type'}->{$forum};
			$r_in->{'c_forum_status'} = $r_setup->{'forum_status'}->{$forum};
			$r_in->{'c_forum_last'} = $r_setup->{'forum_last'}->{$forum};
			$r_in->{'c_forum_threads'} = $r_setup->{'forum_threads'}->{$forum};
			$r_in->{'c_forum_archive'} = $r_setup->{'forum_archive'}->{$forum};

   }

	get_date($r_in);

    my $last_date = "$r_in->{'localtime'} $r_in->{'date'}";

	$html_output .=qq~
    <hr size="1">
    <FORM METHOD=POST ACTION="$adminurl">
    <input type="hidden" name="az" value="$r_in->{'az'}">
    <TABLE BORDER="0" CELLPADDING="4" WIDTH="100%" ALIGN="CENTER">
    <TR>
     <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		   <font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
	      Verzeichnis Name:<br>
		   (Nur Alphanumerische Zeichen - Keine Leezeichen verwenden!)
       </FONT>
    </TH>
    <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="center">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
	~;
			
  if ($r_in->{'az'} eq "m_forum") {
  	$html_output .=qq~
      <b>
      $r_in->{'c_forum_folder'}
      </b>
      <input type="hidden" name="c_forum_folder" value="$r_in->{'c_forum_folder'}">
      <input type="hidden" name="c_forum_last" value="$r_in->{'c_forum_last'}">
     ~;
	}
  else {
      $html_output .=qq~
      <input type="text" name="c_forum_folder" size="30" value="$r_in->{'c_forum_folder'}">
      <input type="hidden" name="$last_date" value="$r_in->{'c_forum_last'}">
      ~;
   }

   $html_output .=qq~
	</font>
   </TD>
   </TR>
   <TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
           Forum Gruppe zuordnen:
	</font>
      </TH>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
		  <select name="c_forum_conf">
	~;

	$r_conf = readdata("$password_file_dir/$conf_file");

	foreach (@$r_conf) {
		chomp;
# BIG5
#		my ($conf_id,$conf_name,$conf_desc,$conf_status) = split /\|/;
		my ($conf_id,$conf_name,$conf_desc,$conf_status) = split /\|/;
		if ($conf_id eq "$r_in->{'c_forum_conf'}") {
			$html_output .= qq~
			<option value="$conf_id" selected>$conf_name~;
		}
		else {
			$html_output .= qq~
			<option value="$conf_id">$conf_name~;
		}
	}

		$html_output .= qq~
		</select>
		</font>
      </TD>
   </TR>
   <TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
           Forum Name:
	</font>
      </TH>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
		  <input type="text" name="c_forum_name" size="30" value="$r_in->{'c_forum_name'}">
			</font>
      </TD>
   </TR>
   <TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
		  Forum Beschreibung
			</font>
      </TH>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
	  	<textarea name="c_forum_desc" rows="7" cols="30" wrap="physical">$r_in->{'c_forum_desc'}</textarea>
			</font>
     </TD>
   </TR>
	<TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Moderator
			</font>
      </TH>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
		<SELECT name="c_forum_owner">
			~;

		my $r_lines = &readdata("$password_file_dir/$password_file");
		foreach (@$r_lines) {
		chomp($_);
# BIG5
#		my @temp = split(/::/,$_);
		my @temp = split(/\|/,$_);
		if ($temp[2] eq 'admin' || $temp[2] eq 'moderator') {
		if ($r_in->{'c_forum_owner'} eq $temp[1]) {
			$html_output .= qq~
				<option value=$temp[1] selected>$temp[1] ($temp[2])
			~;
		}
		else {
			$html_output .= qq~
				<option value=$temp[1]>$temp[1] ($temp[2])
			~;

		}
		}
	}


	$html_output .=qq~
			</select>
			</font>
      </TD>
   </TR>
   <TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
		  Moderator EMail
			</font>
      </TH>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
		  <input type="text" name="c_forum_owner_email" size="30" value="$r_in->{'c_forum_owner_email'}">
			</font>
     </TD>
   </TR>
   <TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
		  Forum Typ
			</font>
      </TH>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
	~;

		if ($r_in->{'c_forum_type'} eq "Protected") {
			$html_output .= qq~
		  	<input type="radio" name="c_forum_type" value="Public">&Ouml;ffentlich
		  	<input type="radio" name="c_forum_type" value="Protected" checked>Gesch&uuml;tzt~;
		}
		elsif ($r_in->{'c_forum_type'} eq "Private") {
			$html_output .= qq~
		  	<input type="radio" name="c_forum_type" value="Private" checked>Privat~;
		}
		elsif ($r_in->{'c_forum_type'} eq "Public") {
			$html_output .= qq~
		  	<input type="radio" name="c_forum_type" value="Public" checked>&Ouml;ffentlich
		  	<input type="radio" name="c_forum_type" value="Protected" >Gesch&uuml;tzt~;
		}
		else {
			$html_output .= qq~
		  	<input type="radio" name="c_forum_type" value="Public" checked>&Ouml;ffentlich
		  	<input type="radio" name="c_forum_type" value="Protected">Gesch&uuml;tzt
		  	<input type="radio" name="c_forum_type" value="Private">Privat~;
		}

	$html_output .= qq~
			</font>
      </TD>
   </TR>
	<TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
		  Forum Status
			</font>
      </TH>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
	~;

		if ($r_in->{'c_forum_status'} eq "on") {
			$html_output .= qq~
		  	<input type="radio" name="c_forum_status" value="on" checked>Activ
		  	<input type="radio" name="c_forum_status" value="off">Inactiv
			~;
		}
		else {
			$html_output .= qq~
		  	<input type="radio" name="c_forum_status" value="on">Activ
		  	<input type="radio" name="c_forum_status" value="off" checked>Inactiv
			~;
		}

	if ($r_in->{'c_forum_threads'} eq "") {
		$r_in->{'c_forum_threads'} = "0";
	}

	if ($r_in->{'c_forum_archive'} eq "") {
		$r_in->{'c_forum_archive'} = "0";
	}

	$html_output .= qq~
			</font>
      </TD>
   </TR>
	<TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
		  Anzahl Beitr&auml;ge(Threads)
			</font>
      </TH>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
		<input type="text" name="c_forum_threads" size="20" value="$r_in->{'c_forum_threads'}">
			</font>
      </TD>
   </TR>
	<TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
		  Anzahl archivierte Beitr&auml;ge(Threads)
			</font>
      </TH>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="TOP">
		  <font size="3" face="$mesg_font" color="$mesg_font_color">
			<input type="text" name="c_forum_archive" size="20" value="$r_in->{'c_forum_archive'}">
			</font>
      </TD>
   </TR>
   <TR>
      <TD BGCOLOR="$mesg_bgcolor" colspan="2" ALIGN="Center" VALIGN="TOP">
	   <INPUT type="submit" value="Daten speichern">
   		<INPUT type="reset" value="Eingaben wiederufen">
      </TD>
   </TR>
   </TABLE>
   </FORM>
   ~;

	$html_output;
}

###
### subroutine reorder_conf_form
### displays the form for reordering conference
###

sub reorder_conf_form {

	my ($r_in,$r_setup) = @_;
	my $html_output = "";

	$html_output .=qq~
	<hr size="1">
	<FORM METHOD=POST>
	<input type="hidden" name="az" value="reorder_conf">
   <TABLE BORDER="0" CELLPADDING="2" WIDTH="100%" ALIGN="CENTER">
   <TR>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Gruppen Nummer</font></Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Gruppen Name</font></Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Gruppen Beschreibung</font></Th></TR>~;

	my $j = 0;

	my $r_conf = readdata("$password_file_dir/$conf_file");

	foreach (@$r_conf) {
		chomp;
# BIG5
#		my ($conf_id,$conf_name,$conf_desc,$conf_status) = split /::/;
		my ($conf_id,$conf_name,$conf_desc,$conf_status) = split /\|/;

		$j++;

		$html_output .=qq~
	   <TR>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
				<input type="text" name="order_$conf_id" value="$j" size="5">
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
				$conf_name
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
				$conf_desc
	      </TD>
	   </TR>
		~;

	}

	$html_output .=qq~
   <TR>
      <TD BGCOLOR="$mesg_bgcolor"  colspan="3" ALIGN="Center" VALIGN="CENTER">
	   <INPUT type="submit" value="Daten speichern">
   		<INPUT type="reset" value="Eingaben wiederufen">
      </TD>
   </TR>
   </TABLE>
   </FORM>
   ~;

   $html_output;
}


###
### subroutine reorder_conf
### reorder conference listing
###

sub reorder_conf {

	my ($r_in) = shift;
	my $output;

	my $r_data = readdata("$password_file_dir/$conf_file");	

	foreach (@$r_data) {
		chomp;
# BIG5
#		my ($conf_id,$conf_name,$conf_desc,$conf_status) = split /::/;
		my ($conf_id,$conf_name,$conf_desc,$conf_status) = split /\|/;
		$order{ $r_in->{"order_$conf_id"} } = $_;

	}

	my @newrow;

	foreach (sort {$a <=> $b} keys %order) {
		push(@newrow,"$order{$_}\n");
	}
	
	writedata("$password_file_dir/$conf_file",\@newrow);

   $output = print_status("Gruppe wurde angelegt!");

   $output;
}


###
### subroutine r_forum_form
### displays the form for removing forums
###

sub reorder_forum_form {

	my ($r_in,$r_setup) = @_;
	my $html_output = "";

	$html_output .=qq~
	<hr size="1">
	<FORM METHOD=POST>
	<input type="hidden" name="az" value="reorder_forum">
   <TABLE BORDER="0" CELLPADDING="2" WIDTH="100%" ALIGN="CENTER">
   <TR>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Nummer
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Name
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Beschreibung
		</font>
      </Th>
   </TR>
	~;

	my $j = 0;
	foreach (@{$r_setup->{'forums'}}) {

		$j++;

		$html_output .=qq~
	   <TR>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
				<input type="text" name="order_$_" value="$j" size="5">
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
				$r_setup->{'forum_name'}->{$_}
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
				$r_setup->{'forum_desc'}->{$_}
	      </TD>
	   </TR>
		~;

	}	
	$html_output .=qq~
   <TR>
      <TD BGCOLOR="$mesg_bgcolor"  colspan="3" ALIGN="Center" VALIGN="CENTER">
	   <INPUT type="submit" value="Daten speichern">
   		<INPUT type="reset" value="Eingaben wiederrufen">
      </TD>
   </TR>
   </TABLE>
   </FORM>
   ~;

   $html_output;
}


###
### subroutine reorder_forum
### reorder forum listing
###

sub reorder_forum {

	my($forum_file,$r_in) = @_;
	my $html_output;

	my $r_data = readdata("$forum_file");	

	foreach (@$r_data) {
		chomp;
# BIG5
#		my @temp = split(/::/,$_);
		my @temp = split(/\|/,$_);
		my $forum_name = $temp[0];
		$order{ $r_in->{"order_$forum_name"} } = $_;
	}

	my @newrow;

	foreach (sort {$a <=> $b} keys %order) {
		push(@newrow,"$order{$_}\n");
	}
	
	writedata($forum_file,\@newrow);

	$html_output .=qq~
	<font size="3" face="$mesg_font" color="$mesg_font_color">
	<b>Forumdaten wurden erfolgreich gespeichert!</b>
	</font>
	~;

	$html_output;
}


###
### subroutine r_forum
### remove existing forum
###

sub r_forum {

	my($forum_file,$r_in) = @_;
	my $output;

	my $r_data = &readdata("$forum_file");	
	
	my @newrow;
	foreach (@$r_data) {
# BIG5
#		unless ($_ =~ /^$forum::/) {
		unless ($_ =~ /^$forum\|/) {
			push(@newrow,$_);
		}
	}

	writedata($forum_file,\@newrow);

	if (-e "$maindir/$forum/$thread_dir") {
		remove_dir("$maindir/$forum/$thread_dir");
	}

	if (-e "$maindir/$forum/$email_dir") {
		remove_dir("$maindir/$forum/$email_dir");
	}

	if (-e "$maindir/$forum") {
		remove_dir("$maindir/$forum");
	}

	$output = print_status("Das Forum \"$forum\" 
		wurde gel&ouml;scht.");

	$output;
}


###
### subroutine r_forum_form
### displays the form for removing forums
###


sub r_forum_form {

	my ($r_in,$r_setup) = @_;

	my $html_output .=qq~
	<hr size="1">
	<FORM METHOD=POST>
	<input type="hidden" name="az" value="$r_in->{'az'}">
   <TABLE BORDER="0" CELLPADDING="2" WIDTH="100%" ALIGN="CENTER">
   <TR>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="RIGHT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Auswahl
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Name
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Gruppe
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Beschreibung
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Moderator
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Typ
		</font>
      </Th>
      <Th BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" VALIGN="CENTER">
		<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Forum Status
		</font>
      </Th>
   </TR>
	~;

	foreach (@{$r_setup->{'forums'}}) {

		$html_output .=qq~
	   <TR>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="RIGHT" VALIGN="TOP">
				<input type="radio" name="forum" value="$_">
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$r_setup->{'forum_name'}->{$_}
			</font>
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$r_setup->{'forum_conf'}->{$_}
			</font>
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$r_setup->{'forum_desc'}->{$_}
			</font>
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$r_setup->{'forum_owner'}->{$_}
			</font>
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$r_setup->{'forum_type'}->{$_}
			</font>
	      </TD>
	      <TD BGCOLOR="$list_bgcolor" ALIGN="LEFT" VALIGN="TOP">
			<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$r_setup->{'forum_status'}->{$_}
			</font>
	      </TD>
	   </TR>
		~;

	}	
	$html_output .=qq~
   <TR>
      <TD BGCOLOR="$mesg_bgcolor"  colspan="7" ALIGN="Center" VALIGN="CENTER">
	   <INPUT type="submit" value="Absenden">
   		<INPUT type="reset" value="Eingaben l&ouml;schen">
      </TD>
   </TR>
   </TABLE>
   </FORM>
   ~;

   $html_output;
}


###
# subroutine update_threads
# After forum layout or configuration change
# run update_thread
###

sub update_threads {

	my ($r_in,$r_setup) = @_;

	print "\n";
	print "<html><head></head><body>";
	print $header;
	print $menu;
	print $sub_header;
	print qq~
	<h3 align="center">Forenlinks auf allen Beitr&auml;gen aktualisieren</h3>
	<ul>
	~;

	$r_in->{'html_forum_links'} = forum_links($r_in,$r_setup);

	foreach (@{$r_setup->{'forums'}}) {

		my $datadir = $maindir;
		my $r_data = [];

		$forum = $_;
		if ($r_setup->{'forum_type'}->{$_} eq "Private") {
			$datadir = $privatedir;
		}

		my $datafile = "$datadir/$forum";

		$r_data = readdata("$datafile/$database");
		foreach (@{$r_data}) {
			chomp;
# BIG5
#			my ($num,$date,$localtime,$name,$subject,$caption,$replies) = split /::/;
			my ($num,$date,$localtime,$name,$subject,$caption,$replies) = split /\|/;
			if (-e "$datadir/$forum/$thread_dir/$num\.$thread_ext") {
				$r_in->{'om'} = $num;
				create_message($r_in,$r_setup);
				print "<li>Ausgef&uuml;hrt $datadir/$forum/$thread_dir/$num\.$thread_ext<br>\n";
	   	}
   
	   }

		$r_data = [];

		$r_data = readdata("$datafile/arc_$database");
		$r_in->{'create_arc'} = 'yes';
		foreach (@{$r_data}) {
			chomp;
# BIG5
#			my ($num,$date,$localtime,$name,$subject,$caption,$replies) = split /::/;
			my ($num,$date,$localtime,$name,$subject,$caption,$replies) = split /\|/;
			if (-e "$datadir/$forum/$thread_dir/$num\.$thread_ext") {
				$r_in->{'om'} = $num;
				create_message($r_in,$r_setup);
				print "<li>Ausgef&uuml;hrt $datadir/$forum/$thread_dir/$num\.$thread_ext<br>\n";
	   	}   
	   }
		delete ($r_in->{'create_arc'});

   }

	print "</ul>\n";	

	print "</body></html>";

	exit(0);
}

#####
# subroutine remove_lockfiles
#
#####

sub remove_lockfiles {

	my ($r_in,$r_setup) = @_;
    my @temp =();
	my $output;
	my $html_forum_links = forum_links($r_in,$r_setup);

	foreach (@{$r_setup->{'forums'}}) {

		my $datadir = "$maindir/$_";
		if ($r_setup->{'forum_type'}->{$_} eq "Private") {
			$datadir = "$r_in->{'privatedir'}/$_";
		}
   	opendir(D,"$datadir") || die $!;
   	while ($file = readdir(D)) {
      if ($file =~ /\.lock/) {
         unlink("$datadir/$file");
				 push(@temp,"<li>$dir/$file");
      }
   	}

   	closedir(D);
   
	}

		
	$output = print_status("Alle Lock Dateien wurden gel&ouml;scht!");
	$output;

}

#####
# subroutine remove_session_files
#
#####

sub remove_session_files {

	my ($r_in,$r_setup) = @_;
	my $html_forum_links = forum_links($r_in,$r_setup);
    my @temp =();
	my $output;

   opendir(D,"$password_file_dir") or
	 	my_die("In dcadmin.cgi:: remove_session files, Verzeichnis konnte nicht ge&ouml;ffnet werden $password_file_dir",$!);
   	while ($file = readdir(D)) {
      if ($file =~ /.session/) {
			unless ($r_in->{'what'}) {
				unless ($file =~ /^\%\%/) {
  		      	unlink("$password_file_dir/$file");
				}
			}
			else {
  		     	unlink("$password_file_dir/$file");
			}
     	}
   }

   closedir(D);
   
	$output = print_status("Session Dateien wurden gel&ouml;scht.\!");
	return $output;

}


###
### subroutine list_threads
###
###

sub list_threads {

	my ($datafile,$r_in,$r_setup) = @_;

	my $mesg_max = $r_setup->{'board_setup'}->{'mesg_max'};
	my $subject_length_max = $r_setup->{'board_setup'}->{'subject_length_max'};
	my $this_forum_type = $r_setup->{'forum_type'}->{$forum};
	my $r_data = &readdata($datafile);
	my $num_messages = @{$r_data};

	my $html_output .= qq~
   <hr size="1"><CENTER>
   <FORM METHOD=POST>
	~;

	if ($r_in->{"remove_type"} eq "move_threads") {
		$html_output .=qq~
		In welches Forum verschieben? 
		<select name="forum_to">
		~;

		if ($this_forum_type eq "Private") {
	  	foreach (@{ $r_setup->{'forums'} }) {
  	  	if ($_ ne $r_in->{'forum'} && $r_setup->{'forum_type'}->{$_} eq "Private") {
			  	$html_output .=qq~
					<option value="$_">$r_setup->{'forum_name'}->{$_}
					~;
				}
			}
		}
		else {
	  	foreach (@{ $r_setup->{'forums'} }) {
  	  	if ($_ ne $r_in->{'forum'} && $r_setup->{'forum_type'}->{$_} ne "Private") {
			  	$html_output .=qq~
					<option value="$_">$r_setup->{'forum_name'}->{$_}
					~;
				}
			}
		}
		$html_output .=qq~
		</select>
		~;
	}		

	$html_output .= qq~
	<p>
   <TABLE BORDER="0" CELLPADDING="1" WIDTH="100%">
   <TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="CENTER" VLIGN="TOP" WIDTH="100">
			<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
         Auswahl</font>
      </TH>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="CENTER" VLIGN="TOP" WIDTH="100">
			<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
         Thema</font>
      </TH>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="CENTER" VLIGN="TOP" WIDTH="100">
			<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
         geschrieben von</font>
      </TH>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="CENTER" VLIGN="TOP" WIDTH="100">
			<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
         Letzte&nbsp;Bearbeitung&nbsp;am</font>
      </TH>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="CENTER" VLIGN="TOP" WIDTH="100">
			<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
         Antworten</font>
      </TH>
   </TR>
		~;
      if ($r_in->{"remove_type"} eq "remove_threads") {	  
   	         $html_output .= qq~
						<INPUT TYPE="HIDDEN" NAME="now_what" value="remove">
						~;
					if ($r_in->{'arc_database'}) {
   	         $html_output .= qq~
						<INPUT TYPE="HIDDEN" NAME="arc_database" value="not_empty">
						~;
					}
		  }
			elsif ($r_in->{'remove_type'} eq 'move_threads') {
   	         $html_output .= qq~
						<INPUT TYPE="HIDDEN" NAME="now_what" value="move">
						~;
				if ($r_in->{'arc_database'}) {
   	         $html_output .= qq~
						<INPUT TYPE="HIDDEN" NAME="arc_database" value="not_empty">
						~;
				}
			}
			elsif ($r_in->{'remove_type'} eq 'archive_threads') {
   	         $html_output .= qq~
						<INPUT TYPE="HIDDEN" NAME="now_what" value="archive">
						~;
			}

	toggle_color('reset');
	foreach (@$r_data) {
		chomp($_);
# BIG5
#		($num,$date,$localtime,$name,$subject,$caption,$replies) = split(/::/, $_);
		($num,$date,$localtime,$name,$subject,$caption,$replies) = split(/\|/, $_);
		$html_output .=qq~
	    <TR>
			<TD VALIGN="TOP" ALIGN="RIGHT" BGCOLOR="$bgcolor">~;

      if ($r_in->{"remove_type"} eq "remove_threads") {	  
   	         $html_output .= qq~
	          <INPUT TYPE="checkbox" NAME="selected" VALUE="$num">~;
		  }
			elsif ($r_in->{'remove_type'} eq 'archive_threads') {
   	         $html_output .= qq~
	          <INPUT TYPE="checkbox" NAME="selected" VALUE="$num">~;
			}
			elsif ($r_in->{'remove_type'} eq 'move_threads') {
   	         $html_output .= qq~
	          <INPUT TYPE="checkbox" NAME="selected" VALUE="$num">~;
			}
		  else {
   	         $html_output .=qq~
	          <INPUT TYPE="RADIO" NAME="thread_select" VALUE="$num">~;
		  }
		
			$html_output .=qq~
			</TD>
			<TH BGCOLOR="$bgcolor"  VALIGN="TOP" ALIGN="LEFT">
			<img src="$imgurl/folder.gif">~;

	if ($r_setup->{'forum_type'}->{$forum} eq "Private") {
		$html_output .=qq~
			<a href="$exurl?az=show_thread&om=$num&forum=$forum"><font 
			size="$font_size" face="$font_face" color="$font_color">
      $subject</FONT></a>
      </TH>
		~;
	}
	else {
		$html_output .=qq~
      <a href="$mainurl/$forum/$num\.$r_in->{'ext'}"><font 
		size="$font_size" face="$font_face" color="$font_color">
		$subject</FONT></a>
      </TH>
		~;
	}

		$html_output .=qq~

			<TD  ALIGN="CENTER" BGCOLOR="$bgcolor"  VALIGN="TOP">
		  	<font size="$font_size" face="$font_face" color="$font_color">
			$name</FONT>
		  </TD>      
			<TD  ALIGN="CENTER" BGCOLOR="$bgcolor"  VALIGN="TOP">
		  	<font size="$font_size" face="$font_face" color="$font_color">
			$localtime $date</FONT>
		  </TD>
			<TD  ALIGN="CENTER" BGCOLOR="$bgcolor"  VALIGN="TOP">
		  	<font size="$font_size" face="$font_face" color="$font_color">
			$replies</FONT>
		  </TD>
	    </TR>~;
		 
	toggle_color();
	
   }
   

	if ($in{"remove_type"} eq "remove_threads") {
		$html_output .=qq~
		<INPUT TYPE="HIDDEN" NAME="az" VALUE="remove_threads">~;
	}
	elsif ($in{"remove_type"} eq "archive_threads") {
		$html_output .=qq~
		<INPUT TYPE="HIDDEN" NAME="az" VALUE="remove_threads">~;
	}
	elsif ($in{"remove_type"} eq "move_threads") {
		$html_output .=qq~
		<INPUT TYPE="HIDDEN" NAME="az" VALUE="move_threads">~;
	}
	else {
		$html_output .=qq~
		<INPUT TYPE="HIDDEN" NAME="az" VALUE="list_message">~;
	}

   $html_output .=qq~
   </TABLE>
   <P>   
   <hr size="1">
   <INPUT TYPE="HIDDEN" NAME="forum" VALUE="$forum">
   <CENTER>
   <INPUT TYPE="SUBMIT" VALUE="Absenden">
   <INPUT TYPE="RESET" VALUE="Eingaben l&ouml;schen">
   </CENTER>
   </FORM>
   </CENTER>
	 ~;

	$html_output;
}

####
#### subroutine list_message
####
####


sub list_message {

	my ($datafile,$r_in) = @_;
	my ($html_output) = "";
	my $r_rowdata = &readdata("$datafile");
	my $file_num = shift @{$r_rowdata};
	my $first_line = shift @{$r_rowdata};

	$html_output .=qq~
	<FORM METHOD="POST">~;

	foreach (@$r_rowdata) {

# BIG5
#			my ($omm,$level,$subject,$name,$email,$ltime,$date,$body) = split /::/;
			my ($omm,$level,$subject,$name,$email,$ltime,$date,$body) = split /\|/;
	      $r_in->{'omm'} = $omm;
	      $r_in->{'level'} = $level;
	      $r_in->{'subject'} = $subject;
	      $r_in->{'name'} = $name;
	      $r_in->{'email'} = $email;
	      $r_in->{'ltime'} = $ltime;
	      $r_in->{'date'} = $date;
	      $r_in->{'body'} = $body;
			
			$html_main_body = html_main_body($r_in,$r_setup);
			
			$html_output .= qq~
		 		<hr size>
		 		<INPUT TYPE="checkbox" NAME="selected" value="$omm">
         	<B>W&auml;hlen Sie die Nachrichten die gel&ouml;scht werden sollen</B>
				$html_main_body
				~;
			
   }

   $html_output .=qq~

   <hr size="1">
   <INPUT TYPE="HIDDEN" NAME="forum" VALUE="$r_in->{'forum'}">
   <INPUT TYPE="HIDDEN" NAME="thread_select" VALUE="$r_in->{'thread_select'}">
   <INPUT TYPE="HIDDEN" NAME="az" VALUE="remove_messages">
   <CENTER>
   <INPUT TYPE="SUBMIT" VALUE="Beitr&auml;ge l&ouml;schen">
   <INPUT TYPE="RESET" VALUE="Eingaben l&ouml;schen">
   </CENTER>
   </FORM>
   ~;

}

####
#### subroutine move_threads
####

sub move_threads {

	my($r_in,$r_setup) = @_;
	my(@newrow);

  my $from_file =
		"$maindir/$r_in->{'forum'}/$r_in->{'database'}";

  my $to_file =
		"$maindir/$r_in->{'forum_to'}/$r_in->{'database'}";

  my $to_file_counter =
		"$maindir/$r_in->{'forum_to'}/$r_in->{'counter'}";

	my $html_output = "";
	my $maindir = $maindir;
	my $ext = $r_in->{'ext'};
	my $from_forum = $r_in->{'forum'};
	my $to_forum = $r_in->{'forum_to'};
	my $forum_dir = $password_file_dir;
	my $forum_file = $forum_file;
	my $filename;
	my @arc_row;
   my @FILE_MOVED,@NO_FILE,@NOT_MOVED;

	#Read in destination data counter file

   open(NUMBER,"$to_file_counter");
   flock(NUMBER,2);
      $num = <NUMBER>;
   flock(NUMBER,8);
   close(NUMBER);

   $num++;

   if ($num == 999999)  {
      $num = "1";
   }

	my @file_selected = split(/\0/,$r_in->{'selected'});

	# read in from database

	my $r_fromdata = readdata($from_file);
	my $r_todata = readdata($to_file);

	my $num_threads = @file_selected;
   my $file_num;

	foreach $row (@{$r_fromdata}) {

		 $hit = "no";

		 chomp($row);

		 foreach (@file_selected) {
# BIG5
#			  if ($row =~ /^$_::/) {
			  if ($row =~ /^$_\|/) {
           $file_num = $_;
				   $hit = 'yes';
				   last;
			  }
		 }#End of foreach

		 unless ($hit eq 'yes') {
			  push(@newrow,"$row\n");
		 }
		 else {
# BIG5
#			  my @fields = split(/::/,$row);
			  my @fields = split(/\|/,$row);
			  $fields[0] = $num;
# BIG5
#           $row = join("::",@fields);
           $row = join("\|",@fields);

			  push(@{$r_todata},"$row\n");
			  
			  $filename = "$maindir/$from_forum/$thread_dir/$file_num\.$thread_ext";
		     if (-e $filename) {
			     rename("$maindir/$from_forum/$thread_dir/$file_num\.$thread_ext",
							"$maindir/$to_forum/$thread_dir/$num\.$thread_ext");
			  	  $forum = $to_forum;
				  $r_in->{'om'} = $num;
				  create_message($r_in,$r_setup);
			     push(@FILE_MOVED,$file_num);

				# Move email notification list
					if (-e "$maindir/$from_forum/$email_dir/$file_num.$email_ext") {
						rename("$maindir/$from_forum/$email_dir/$file_num.$email_ext",
								"$maindir/$to_forum/$email_dir/$num.$email_ext");
					}
				  
		     }
		     else {
			     push(@NO_FILE,$file_num);
            }#end of if -e filename

        $num++;

     }# end of if $hit ne 

	 }#End of foreach rowdata

# First write data

	writedata($from_file,\@newrow);
	writedata($to_file,$r_todata);
	
   open(NUMBER,">$to_file_counter");
   flock(NUMBER,2);
			print NUMBER $num;
   flock(NUMBER,8);
   close(NUMBER);


# Now we must update the forum database

	unless ($r_in->{'arc_database'}) {

		my $r_data = readdata("$forum_dir/$forum_file");

		@newrow = ();

		foreach (@$r_data) {
# BIG5
#			if ($_ =~ /^$from_forum::/) {
			if ($_ =~ /^$from_forum\|/) {
				chomp($_);
# BIG5
#				my @templine = split(/::/,$_);
				my @templine = split(/\|/,$_);
				my $arc_num = pop(@templine);
				my $num = pop(@templine);
				$num = $num - $num_threads;
				push(@templine, $num, $arc_num);
# BIG5
#				my $temp = join("::",@templine);
				my $temp = join("\|",@templine);
				push(@newrow,"$temp\n");

			}
#BIG5
#			elsif ($_ =~ /^$to_forum::/) {
			elsif ($_ =~ /^$to_forum\|/) {
				chomp($_);
# BIG5
#				my @templine = split(/::/,$_);
				my @templine = split(/\|/,$_);
				my $arc_num = pop(@templine);
				my $num = pop(@templine);
				$num = $num + $num_threads;
				push(@templine, $num, $arc_num);
# BIG5
#				my $temp = join("::",@templine);
				my $temp = join("\|",@templine);
				push(@newrow,"$temp\n");
			}
			else {
				push(@newrow,$_);
			}
		}
	
  writedata("$forum_dir/$forum_file",\@newrow);

	}

	my $file_selected = join("\, ",@file_selected);
  my $file_moved = join("\, ",@FILE_MOVED);
  my $not_moved = join("\, ",@NOT_MOVED);
  my $no_file = join("\, ",@NO_FILE);

	$html_output .= qq~

	<table border="0" cellpadding="3" width="100%">
		<tr>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
		  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Ausgew&auml;hlte Dateien</font>
			</th>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
						  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			verschobene Dateien</font>
			</th>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
		  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Nicht verschobene Dateien</font>
			</th>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
		  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Dateien nicht gefunden!</font>
			</th>
		</tr>
		<tr>
		  <Th ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$file_selected</font>
			</td>
		  <Th ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$file_moved</font>
			</td>
		  <Th ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$not_moved</font>
			</td>
		  <Th ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="$list_font" color="$list_font_color">
				$no_file</font>
			</td>
		</tr>
		<tr>
		  <TD ALIGN="CENTER" BGCOLOR="$mesg_bgcolor" colspan="4">
			&nbsp;
			</td>
		</tr>
	</table>
  <hr size="1">
  </CENTER>
   ~;


	$html_output;
}


####
#### subroutine remove_threads
####

sub remove_threads {

	my($datafile,$r_in,$r_setup) = @_;

	my $r_rowdata = readdata($datafile);
	my $html_output = "";
	my $maindir = $maindir;
	my $ext = $r_in->{'ext'};
	my $forum = $r_in->{'forum'};
	my $forum_dir = $password_file_dir;
	my $forum_file = $forum_file;
	my $filename;
	my @newrow,$arc_row;
	my @file_selected = split(/\0/,$r_in->{'selected'});

	my $num_threads = @file_selected;

	# temporarily save data links in arc_row, just in case
	# the action to perform is archive
	
	foreach $row (@$r_rowdata) {
		$hit = "no";
		chomp($row);

		foreach (@file_selected) {
# BIG5
#			if ($row =~ /^$_::/) {
			if ($row =~ /^$_\|/) {
				$hit = 'yes';
				last;
			}
		}

		if ($hit ne 'yes') {
			push(@newrow,"$row\n");
		}
		else {
			$arc_row .= "$row\n";
		}
		
	}

  my @stuff = split(/\//,$datafile);
  my $file = pop(@stuff);
  my $datadir = join("\/",@stuff);

	# Either we remove or archive the thread(s)

  if ($r_in->{'now_what'} eq 'remove') {

		foreach (@file_selected) {

			if (-e "$maindir/$forum/$_\.$ext") {
				unlink("$maindir/$forum/$_\.$ext") || push(@NOT_REMOVED,$_);
				push(@FILE_REMOVED,$_);
			}
			else {
				push(@NO_FILE,$_);
			}
			if (-e "$maindir/$forum/$thread_dir/$_\.$thread_ext") {
				unlink("$maindir/$forum/$thread_dir/$_\.$thread_ext");
			}
			if (-e "$maindir/$forum/$email_dir/$_\.$email_ext") {
				unlink("$maindir/$forum/$email_dir/$_\.$email_ext");
			}
		}
	}

	# Now we archive the thread(s)

	else {

		chomp($arc_row);
		appenddata("$datadir/arc_$file",$arc_row);

		foreach (@file_selected) {
			chomp;
			$r_in->{'om'} = $_;
			$r_in->{'create_arc'} = "yes";
		   create_message($r_in,$r_setup);
			push(@FILE_REMOVED,$_);
		}
	}

   writedata("$maindir/$forum/$database",\@newrow);

# Now we must update the forum database

	unless ($r_in->{'arc_database'}) {
		$r_setup->{'forum_threads'}->{$forum} = 
			$r_setup->{'forum_threads'}->{$forum} - $num_threads;

  	unless ($r_in->{'now_what'} eq 'remove') {
			$r_setup->{'forum_archive'}->{$forum} = 
				$r_setup->{'forum_archive'}->{$forum} + $num_threads;
		}
	}
	else {
			$r_setup->{'forum_archive'}->{$forum} = 
				$r_setup->{'forum_archive'}->{$forum} - $num_threads;
	}
  save_forum_info("$forum_dir/$forum_file",$r_setup);

	my $file_selected = join("\, ",@file_selected);
  my $file_removed = join("\, ",@FILE_REMOVED);
  my $not_removed = join("\, ",@NOT_REMOVED);
  my $no_file = join("\, ",@NO_FILE);

	$html_output .= qq~
	<table border="0" cellpadding="3" width="100%">
		<tr>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
		  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
				Ausgew&auml;hlte Dateien</font>
			</th>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
		  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
				Gel&ouml;schte/Archivierte Dateien</font>
			</th>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
		  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
				Nicht gel&ouml;schte Dateien</font>
			</th>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
		  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
				Dateien nicht gefunden!</font>
			</th>
		</tr>
		<tr>
		  <TD ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="$list_font" color="$list_font_color">
				<FONT SIZE=2>$file_selected</font>
			</td>
		  <TD ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="$list_font" color="$list_font_color">
				<FONT SIZE=2>$file_removed</font>
			</td>
		  <TD ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="$list_font" color="$list_font_color">
				<FONT SIZE=2>$not_removed</font>
			</td>
		  <TD ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="$list_font" color="$list_font_color">
				<FONT SIZE=2>$no_file</font>
			</td>
		</tr>
		<tr>
		  <TD ALIGN="CENTER" BGCOLOR="$mesg_bgcolor" colspan="4">
			&nbsp;
			</td>
		</tr>
	</table>
  <hr size="1">
  </CENTER>
   ~;

	$html_output;
}

###
### subroutine remove_messages
###

sub remove_messages {

	my($datafile,$r_in,$r_setup) = @_;
	my $r_rowdata = readdata("$datafile");
	my $html_output = "";

	my @num_selected = split(/\0/,$r_in->{'selected'});
	my $num_selected = @num_selected;
	
   foreach $num (@num_selected) {
      foreach ($j = 0;$j < @$r_rowdata;$j++) {
# BIG5
#         if ($r_rowdata->[$j] =~ /^$num::/) {
         if ($r_rowdata->[$j] =~ /^$num\|/) {
             splice(@{$r_rowdata}, $j, 1);
             $j--;
         }
      }
   }

   writedata($datafile,$r_rowdata);

	$r_in->{'om'} = $r_in->{'thread_select'};
   create_message($r_in,$r_setup);

   $r_rowdata = readdata("$maindir/$forum/$database");

   $num_messages = @$r_rowdata;

   foreach ($j=0;$j<@$r_rowdata;$j++) {
# BIG5
#      if ($r_rowdata->[$j] =~ /^$thread_select::/) {
      if ($r_rowdata->[$j] =~ /^$thread_select\|/) {
			$row = $r_rowdata->[$j];
			 chomp($row); 
# BIG5
#	    	 	($num,$date,$localtime,$name,$subject,$caption,$replies) = split(/::/, $row);
	    	 	($num,$date,$localtime,$name,$subject,$caption,$replies) = split(/\|/, $row);
				my $new_num = $replies - $num_selected;
# BIG5
#				$r_rowdata->[$j] = join("::",$num,$date,$localtime,$name,$subject,$caption,$new_num);
				$r_rowdata->[$j] = join("\|",$num,$date,$localtime,$name,$subject,$caption,$new_num);
				$r_rowdata->[$j] .= "\n";
			next;
		}
   }

   writedata("$maindir/$forum/$database",$r_rowdata);

   my $num_list = join("\, ",@num_selected);

   $html_output .= qq~
	<table border="0" cellpadding="3" width="100%">
		<tr>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
		  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
				Ausgew&auml;hlte Dateien</font>
			</th>
		  <Th ALIGN="CENTER" BGCOLOR="$mesg_bgcolor">
		  	<font size="$mesg_font_size" face="$mesg_font" color="$mesg_font_color">
			Gel&ouml;schte Dateien</font>
			</th>
		</tr>
		<tr>
		  <Td ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="list_font_face" color="$list_font_color">
			$thread_select</font>
			</td>
		  <Td ALIGN="CENTER" BGCOLOR="$list_bgcolor">
		  	<font size="$list_font_size" face="$list_font_face" color="$list_font_color">
			$num_list</font>
			</td>
		</tr>
		<tr>
		  <Td ALIGN="CENTER" BGCOLOR="$mesg_bgcolor" colspan="2">
			&nbsp;
			</td>
		</tr>
	</table>
  <hr size="1">
  </CENTER>
   ~;

	$html_output;
}


###
### subroutine c_setting_form
### displays the form for modifying admin setting
###

sub c_setting_form {

   my ($datafile,$r_in,$r_setup) = @_;
   my $html_output = "";
   my $r_data = &readdata("$datafile");

   $html_output .=qq~
   <hr size="1">
   <FORM METHOD=POST>
   <input type="hidden" name="az" value="c_setting">
   <TABLE BORDER="0" CELLPADDING="4" WIDTH="100%" ALIGN="CENTER">
   <TR>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" colspan="2">
		  	<font size="$mesg_font_size" mesg="$mesg_font" color="$mesg_font_color">
         <B>Aktuelle Forum Einstellungen</B>
         <br>
         Um die Forumeinstellungen zu &auml;ndern, tragen Sie die neuen
		 Werte ein und klicken Sie auf Daten speichern</font>
      </TD>
   </TR>
   <TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="LEFT">
		  	<font size="$mesg_font_size" mesg="$mesg_font" color="$mesg_font_color">
         Funktion</font>
      </TH>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="LEFT">
		  	<font size="$mesg_font_size" mesg="$mesg_font" color="$mesg_font_color">
         Aktuelle Einstellungen</font>
      </TH>
   </TR>
   ~;

	
   foreach (@$r_data) {
      chomp($_);
# BIG5
#      ($key,$value) = split(/::/,$_);
      ($key,$value) = split(/\|/,$_);
      if ($value eq "on") {
         $html_output .=qq~
         <TR>
         <TH BGCOLOR="$bg_color_2" ALIGN="RIGHT" VALIGN="CENTER">
		  	<font size="$font_size_2" face="$font_face_2" color="$font_color_2">
			$r_setup->{'setup_desc'}->{$key}</font>
         </TH>
         <TD BGCOLOR="$bg_color_1" ALIGN="LEFT" VALIGN="CENTER">
			<INPUT TYPE="radio" name="form_$key" value="on" checked> on
			<INPUT TYPE="radio" name="form_$key" value="off"> off
         </TD>
         </TR>
         ~;
      }
      elsif ($value eq "off") {
         $html_output .=qq~
            <TR>
         <TH BGCOLOR="$bg_color_2" ALIGN="RIGHT" VALIGN="CENTER">
		  	<font size="$font_size_2" face="$font_face_2" color="$font_color_2">
		$r_setup->{'setup_desc'}->{$key}</font>
            </TH>
         <TD BGCOLOR="$bg_color_1" ALIGN="LEFT" VALIGN="CENTER">
		<INPUT TYPE="radio" name="form_$key" value="on"> on
		<INPUT TYPE="radio" name="form_$key" value="off" checked> off
            </TD>
   	    </TR>
         ~;
      }
      else {
         $html_output .=qq~
	   <TR>
         <TH BGCOLOR="$bg_color_2" ALIGN="RIGHT" VALIGN="CENTER">
		  	<font size="$font_size_2" face="$font_face_2" color="$font_color_2">
			$r_setup->{'setup_desc'}->{$key}</font>
           </TH>
         <TD BGCOLOR="$bg_color_1" ALIGN="LEFT" VALIGN="CENTER">
           <input type="text" name="form_$key" value="$value" size="40">
           </TD>
           </TR>
         ~;
      }
   }
	
   $html_output .=qq~
   <TR>
      <TD BGCOLOR="$mesg_bgcolor" colspan="2" ALIGN="Center" VALIGN="CENTER">
      <INPUT type="submit" value="Daten speichern">
      <INPUT type="reset" value="Eingabe l&ouml;schen">
      </TD>
   </TR>
   </TABLE>
   </FORM>
   ~;

   $html_output;
}

###
### subroutine c_setting
### Makes modifications
###

sub c_setting {

   my ($datafile,$r_in,$r_setup) = @_;
   my $html_output = "";
   my $r_data = &readdata("$datafile");
   my $r_newdata = [];

   $html_output .=qq~
      <hr size="1">
      <FORM METHOD=POST ACTION="$adminurl">
      <TABLE BORDER="0" CELLPADDING="4" WIDTH="100%" ALIGN="CENTER">
   <TR>
      <TD BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" colspan="2">
		  	<font size="$mesg_font_size" mesg="$mesg_font" color="$mesg_font_color">
         <B>Neue Forumeinstellungen</B></font>
      </TD>
   </TR>
   <TR>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" WIDTH="30%">
		  	<font size="$mesg_font_size" mesg="$mesg_font" color="$mesg_font_color">
         Setup Parameter</font>
      </TH>
      <TH BGCOLOR="$mesg_bgcolor" ALIGN="LEFT" WIDTH="70%">
		  	<font size="$mesg_font_size" mesg="$mesg_font" color="$mesg_font_color">
         Neue Forumeinstellungen</font>
      </TH>
   </TR>
 
   ~;

   foreach (@$r_data) {
      chomp($_);
# BIG5
#      ($key,$value) = split(/::/,$_);
      ($key,$value) = split(/\|/,$_);
# BIG5
#      $temp = join("::",$key,$r_in->{"form_$key"});
      $temp = join("\|",$key,$r_in->{"form_$key"});
      push(@$r_newdata,"$temp\n");
      $html_output .=qq~
         <TR>
         <TD BGCOLOR="$bg_color_2" ALIGN="RIGHT" VALIGN="CENTER" width="50%">
		  	<font size="$font_size_2" face="$font_face_2" color="$font_color_2">
			$r_setup->{'setup_desc'}->{$key}</font>
         </TD>
         <TD BGCOLOR="$bg_color_1" ALIGN="LEFT" VALIGN="CENTER">
		  	<font size="$font_size_1" face="$font_face_1" color="$font_color_1">
			$r_in->{"form_$key"}</font>
         </TD>
         </TR>
      ~;
		&toggle_color();
   }

   &writedata($datafile,$r_newdata);

   $html_output .=qq~
   </TABLE>
   </FORM>
   ~;
	$html_output;

}

###################################################################
#
# subroutine menu
#
###################################################################

sub menu {

   my ($r_in) = @_;

   my $menu .=qq~
      <TABLE BORDER="0" CELLPADDING="4" ALIGN="CENTER">
   	<TR>
      <TH ALIGN="LEFT" colspan="2">
		  	<font size="3" mesg="$mesg_font" color="#000099">
    [ <a href="$homeurl">Home Page</a> ]
    [ <a href="$adminurl">Administration Startseite</a> ]
    [ <a href="$boardurl">Forum Lobby</a> ]</font>
      </TH>
   </TR>
	</TABLE>
   ~;

}

####
# quick fix to get members from dcadmin
# Need to fix in our next release
####

sub get_members {

   my ($r_in) = @_;
   my $r_data = readdata("$password_file_dir/$password_file");
   foreach (@$r_data) {
      chomp;
# BIG5
#      my $r_entry = [ split(/::/,$_) ];
      my $r_entry = [ split(/\|/,$_) ];
      unless ($r_entry->[2] eq 'normal' or $r_entry->[2] eq 'admin') {
         push( @{$r_in->{'user_list'} }, $r_entry->[1]) if 
					($r_entry->[1] ne $r_in->{'userdata'}->{'Username'});
      }

   }#End of foreach

}

####
# function print_status
# formatted status response
####

sub print_status {

	my $string = shift;
	my $output;
	
	$output .= qq~
		<center>
		<font size="3" face="$list_font" color="$list_font_color">
		<b>$string</b>
		</font>
		</center>
	~;
	$output;

}
