#!/usr/local/bin/perl
#
# DCForum99 Version 1.0
# dcboard.cgi
# DCForum99 Version 1.1
# Part of DCForum by DCScripts
# Copyright  1997-1999 DCScripts All Rights Reserved
# 
# As part of the installation process, you will be asked
# to accept the terms of this Agreement. This Agreement is
# a legal contract, which specifies the terms of the license
# and warranty limitation between you and DCScripts and DCForum.
# You should carefully read this terms agreement as outlined in
# the readme.txt file included with this distribution before
# installing or using this software.  Unless you have a different license
# agreement obtained from DCScripts, installation or use of this software
# indicates your acceptance of the license and warranty limitation terms
# contained in this Agreement. If you do not agree to the terms of this
# Agreement, promptly delete and destroy all copies of the Software.
###################################################################
##  German translation by Lothar Jung for Webster Internet Dienstleistungen
##  http://Webster.de/dcscripts/
###################################################################

# Geben Sie den genauen Pfad ($path) zu diesem Programm an wenn
# wenn Sie bei der Ausf&uuml;hrung der Datei Probleme haben.
# Einige Server ben&ouml;tigen den vollen Pfad

$path = ".";

#>>>>>>>>>>>>>>> Keine weiteren &Auml;nderungen in diesem Script erforderlich <<<<<<<<
#>>>>>>>>>>>>>>> Keine weiteren &Auml;nderungen in diesem Script erforderlich <<<<<<<<
#>>>>>>>>>>>>>>> Keine weiteren &Auml;nderungen in diesem Script erforderlich <<<<<<<<


require "$path/dcforum.setup";
require "$path/dcboard.setup";
require "$cgidir/dcforumlib.pl";
require "$cgidir/cgi-lib.pl";
require "$cgidir/dclib.pl";


# Print HTTP output header
print "Content-type: text/html\n";

# Read-in form data...
# Someday, I need to replace this with my own version
&ReadParse;

# define reference to %in
# this things going to be passed to everywhere
$r_in = \%in;

# Check and see if we are working with Archive
if ($r_in->{'database'} eq "" or $r_in->{'database'} ne 'archive') {
      $r_in->{'database'} = $database;
}
else {
  $database = "arc_" . $database;
   $r_in->{'arc_database'} = $database;
}

# Get current time and date
get_date($r_in);

# initialize some internal variables...
# Need to change this for speed improvement

$r_setup = initialize($password_file_dir,$forum_file,$board_setup_file);

# Set Global variables
# Must require this after the call to initialize
require "$path/global.pl";

# If the input forum type is Private, then
# set appropriate file extension and dir

if ($r_setup->{'forum_type'}->{ $r_in->{'forum'} } eq 'Private') {
   $ext = $privateext;
   $maindir = $privatedir;
}

# Get forum information and put them in old variables

$forum = $r_in->{'forum'};
$az = $r_in->{'az'};

# OK, before we do anything, let's check the user's session ID
# If it exists then read in user data
$r_in->{'userdata'} = get_session();

# Next readin the team members
$team = get_team_members("$password_file_dir/$team_file_name");

# OK, if $az is 'list' then list topics in a forum
# If not, list forums

if ($az eq "list") {

   # End of HTTP Header
   print "\n";

   # Create menu buttons
   $menu_button = create_button('list',$r_in,$r_setup);

   # Oppps, forum is offline
   if ($r_setup->{'forum_status'}->{ $forum } ne "on") {
      ($heading,$sub_heading,$html_output) = 
         access_error('forum off',$r_in,$r_setup);
   }
   # Oppps, no access allowed
   elsif ( ! check_forum_access($r_in,$r_setup,$forum) ) {
      ($heading,$sub_heading,$html_output) = 
         access_error('forum private',$r_in,$r_setup);
   }
   else {
      ($heading, $sub_heading, $html_output) = list($r_in,$r_setup);
   }

}

# Listing main entrance - the forum list

else {

   # First end http header
    print "\n";

   $heading = $heading_list_forums;
   $sub_heading = $sub_heading_list_forums;   

   # If no $session, display drop down menu to fetch messages
   # from last few days

   unless ($session) {
		$sub_heading .= menu_links($r_in,$r_setup);
   }

   # Create menus for the forum listing
   $menu_button = create_button("list_forums",$r_in,$r_setup);

   # list forums
   $html_output = list_forums($r_in,$r_setup);

}

# create forum_links
$html_forum_links = forum_links($r_in,$r_setup);

# Get template variables ready

my %namespace = (
     FORUMLINKS => $html_forum_links,
     MENU => $menu_button,
     TITLE => $heading,
     HEADER => $heading,
     SUBHEADER => $sub_heading,
     HTMLOUTPUT => $html_output
);

# display output
display_output($templatefile,\%namespace);

exit(0);

#####
#
# subroutine list_forums
# Creates the main lobby page
#
#####

sub list_forums {

   my ($r_in,$r_setup) = @_;
 
   my $r_conf_forums;
   my $r_conf_count;

   my $r_user_mark = get_user_mark($r_in,$r_setup);
   my $current_time = time_format($r_in->{'localtime'});
   my $current_date = date_format($r_in->{'date'});

   my $html_output .= qq~
   	<TABLE BORDER="0" WIDTH="$table_width" CELLPADDING="3" CELLSPACING="1">
   	<TR><TD ALIGN="LEFT" VALIGN="BOTTOM"><font 
		face="$font_face_3" color="$font_color_3" size="$font_size_3">
	~;

	if ($r_in->{'conf'} ne '') {
   	$html_output .= qq~
		<b><a href="$boardurl">Konferenzen</a>
		: $r_setup->{'conf_name'}->{ $r_in->{'conf'} }</b>
		~;
		$icon_display = 'yes';
   }

	unless ($r_setup->{'board_setup'}->{'conf_listing'} eq 'on') {
		$icon_display = 'yes';
	}

   $html_output .= qq~
	</TD><TD ALIGN="RIGHT"><font face="$font_face_3" color="$font_color_3" size="1">
   ~;

   if ($r_in->{'userdata'}->{'Username'}) {
      $html_output .=  "Eingeloggt als <b>$r_in->{'userdata'}->{'Username'}</b><br>";
   }
   else {
      $html_output .= "<b>Nicht eingeloggt</b><br>";
   }

   $html_output .= qq~
   $current_date $current_time $time_zone<br></TD></TR>
   </Table>~;

	# Should Icon indicator be displayed?

   if ($r_in->{'userdata'}->{'Username'} and $icon_display eq 'yes') {
      $html_output .= qq~
      <TABLE BORDER="0" WIDTH="$table_width" CELLPADDING="3" CELLSPACING="1">
      <TR BGCOLOR="$bg_color_0"><TH ALIGN="LEFT" VALIGN="TOP" COLSPAN="2">
      <font size="$font_size_0" face="$font_face_0" color="$font_color_0">
         Icon Beschreibung<a name="TOP">&nbsp;</a></font></TH></TR>
      <TR BGCOLOR="$bg_color_2"><TD ALIGN="LEFT">
      <font size="$font_size_2" face="$font_face_2" color="$font_color_2">
      <img src="$imgurl/folder.gif"> = Keine neuen Beitr&auml;ge<br>
      <img src="$imgurl/new_folder.gif"> = Zeigt neue Beitr&auml;ge an (Sie m&uuml;ssen eingeloggt sein)<br>
      <img src="$imgurl/team.gif"> = Beitr&auml;ge von Team-Mitgliedern</font></TD></TR></TABLE>
      ~;
   }

   $html_output .= qq~
   <TABLE BORDER="0" WIDTH="$table_width" CELLPADDING="3" CELLSPACING="1">~;

   foreach (@{$r_setup->{'forums'}}) {
      if ($r_setup->{'forum_status'}->{$_} eq "on" && 
         check_forum_access($r_in,$r_setup,$_) ) {

			if ($r_in->{'conf'}) {
				if ($r_in->{'conf'} eq $r_setup->{'forum_conf'}->{$_}) {
	      	       push( @{ $r_conf_forums->{$r_setup->{'forum_conf'}->{$_}} } , $_);
   	      	       $r_conf_count->{$r_setup->{'forum_conf'}->{$_}}++;
				}
			}

			else {
      	       push( @{ $r_conf_forums->{$r_setup->{'forum_conf'}->{$_}} } , $_);
         	   $r_conf_count->{$r_setup->{'forum_conf'}->{$_}}++;
			}

      }

   }

   toggle_color('reset');

	unless ($r_setup->{'board_setup'}->{'conf_listing'} eq 'on' and $r_in->{'conf'} eq '') {

	   foreach (@{$r_setup->{'conf'}}) {
	
	      if ($r_conf_count->{$_} and $r_setup->{'conf_status'}->{$_} eq 'on') {
	         $html_output .= qq~
	         <TR><TH ALIGN="LEFT" VALIGN="TOP" BGCOLOR="$bg_color_0" colspan="2">
	         <font size="$font_size_0" face="$font_face_0" color="$font_color_0">
	         Foren in der Gruppe $r_setup->{'conf_name'}->{$_}</font></TD></TR>
	         ~;
	
	         foreach (@{ $r_conf_forums->{$_} }) {
	
	            if ($r_setup->{'forum_status'}->{$_} eq "on" && 
	               check_forum_access($r_in,$r_setup,$_) ) {
	
	               my $thisimg = "folder.gif";
	               my $moderator_email = $r_setup->{'forum_owner_email'}->{$_};
	               my $marker = "";
	
	               $r_setup->{'forum_desc'}->{$_} =~ s/&gt;/>/g;
	               $r_setup->{'forum_desc'}->{$_} =~ s/&lt;/</g;
	
	               my ($ltime,$date) = split(/\s/, $r_setup->{'forum_last'}->{$_});
	
	               if ($r_user_mark->{$_} ne "") {
	                  my ($hh,$minute) = split(/\:/, $ltime);
	                  my $second = 0;
	                  my ($mmonth,$dd,$yy) = split(/\//, $date);
	                  my $last_mesg = compute_time($yy, $mmonth, $dd, $hh, $minute, $second);
	                  if ($last_mesg > $r_user_mark->{$_}) {
	                     $thisimg = "new_folder.gif";
	                  }
	               }
	               elsif ($r_in->{'userdata'}->{'Username'}) {
	                  $marker = "<font size=1>(UNMARKIERT)</font>";
	               }
	
	               $ltime .= ":00";
	               $ltime = time_format($ltime);
	               $date = date_format($date);
	
	               $html_output .= qq~
	               <TR><TD ALIGN="LEFT" VALIGN="TOP" BGCOLOR="$bgcolor">
	               <img src="$imgurl/$thisimg">
	               <font size="$font_size" face="$font_face" color="$font_color">
	               <b><a href="$boardurl?az=list&forum=$_">$r_setup->{'forum_name'}->{$_}</a>
	               $marker<br></b></font>
	               <font size="$font_size" face="$font_face" color="$font_color">
	               $r_setup->{'forum_desc'}->{$_}
	               </font></TD><TD ALIGN="LEFT" VALIGN="TOP" BGCOLOR="$bgcolor">
	                <font size="$font_size" face="$font_face" color="$font_color">
	               <b>Moderator: <a href="mailto:$moderator_email">$r_setup->{'forum_owner'}->{$_}</a></b>
	               <br>$r_setup->{'forum_type'}->{$_}&nbsp;Forum
	               <br><b>$r_setup->{'forum_threads'}->{$_}</b>&nbsp;Aktuelle&nbsp;Diskussion 
	               <br>$r_setup->{'forum_archive'}->{$_}&nbsp;Archivierte&nbsp;Diskussionen
	               <br>$date&nbsp;$ltime</font></TD></TR>~;
	
	               toggle_color();
	
	            }
	         }
	      }

	   }# End of foreach

	}
	else {

        $html_output .= qq~
        <TR><TH ALIGN="LEFT" VALIGN="TOP" BGCOLOR="$bg_color_0" colspan="2">
        <font size="$font_size_0" face="$font_face_0" color="$font_color_0">
        Diskussionen</font></TD></TR>
        ~;

	   foreach (@{$r_setup->{'conf'}}) {
	      if ($r_conf_count->{$_} and $r_setup->{'conf_status'}->{$_} eq 'on') {
            $html_output .= qq~
            <TR><TD ALIGN="LEFT" VALIGN="TOP" BGCOLOR="$bgcolor">
            <img src="$imgurl/folder.gif">
            <font size="$font_size" face="$font_face" color="$font_color">
            <b><a href="$boardurl?conf=$_">$r_setup->{'conf_name'}->{$_}</a>
            </b><br>$r_setup->{'conf_desc'}->{$_}</font><br>
            <font size="$font_size" face="$font_face" color="$font_color">
            $conf_desc
            </font></TD><TD ALIGN="LEFT" VALIGN="TOP" BGCOLOR="$bgcolor">
             <font size="$font_size" face="$font_face" color="$font_color">
				<b>$r_conf_count->{$_}</b>&nbsp;Diskussionsforen
				</font></TD></TR>~;
            toggle_color();
			}
		}
	
	}

   $html_output .= "</TABLE>";
   return $html_output;


}

####
# subroutine list
# Reads in from $database and generates
# the main threads listing
####

sub list {
  
   my ($r_in,$r_setup) = @_;
   my $heading;
   my $time_mark = $r_in->{'time_now'};
	my $temp_output;
   my $exist = "";
   my $msg_num;
   my $r_user_mark = get_user_mark($r_in,$r_setup);
   my $moderator_email = $r_setup->{'forum_owner_email'}->{$forum};

   my $datafile  = "$maindir/$forum/$database";
   my $r_rowdata = readdata($datafile);
   my $num_messages = @{$r_rowdata};

   my $num_next = int(($num_messages - 1)/$mesg_max) + 1;
   my $start = $r_in->{'mm'} + 1;
   my $stop = $r_in->{'mm'} + $mesg_max;

   $stop = $num_messages if ($stop > $num_messages);

   $heading = "Diskussionen im Forum $r_setup->{'forum_name'}->{$forum}";

   $html_output .= qq~
   <center><font face="$font_face_3" color="$font_color_3" size="$font_size_3">
            Angezeigt werden die Beitr&auml;ge $start-$stop<br>
         ~;

   if ($r_in->{'arc_database'}) {
      $other = "[<a href=\"$boardurl?forum=$forum&az=list\">Current</a>
      ($r_setup->{'forum_threads'}->{$forum} threads)]\n";
   }
   else {
      $other = "[<a href=\"$boardurl?forum=$forum&az=list&database=archive\">Archiv</a>
      ($r_setup->{'forum_archive'}->{$forum})]\n";
   }

   $stop--;
   $start--;
  
   for ($j=1;$j<=$num_next;$j++) {

      my $mesg_marker = ($j-1)*$mesg_max;
      my $j_start = ($j-1)*$mesg_max + 1;
      my $j_stop = $j*$mesg_max;

      $j_stop=$num_messages if ($j_stop > $num_messages);

      if ($mesg_marker == $start) {      
         $temp_output .=qq~
         [$j] ~;
      }
      elsif ($r_in->{'arc_database'}) {
         $temp_output .=qq~
         [<A HREF="$boardurl?az=list&forum=$forum&mm=$mesg_marker&database=archive">$j</A>] ~;
      }
      else {
         $temp_output .=qq~
         [<A HREF="$boardurl?az=list&forum=$forum&mm=$mesg_marker">$j</A>] ~;
      }
   }

   $html_output .= qq~
	$temp_output
   $other
   </font>
   </center>
   ~;

   $html_output .= qq~
   <CENTER>
   <TABLE BORDER="0" WIDTH="$table_width" cellspacing="1" cellpadding="3">
   <TR>
	<TD COLSPAN="4" ALIGN="RIGHT">
   <font face="$font_face_3" color="$font_color_3" size="1">
   Moderator: <a href="mailto:$r_setup->{'forum_owner_email'}->{$forum}">$r_setup->{'forum_owner'}->{$forum}</a><br>
   Time Zone: $time_zone<br>
   Forum Type: $r_setup->{'forum_type'}->{$forum}
	</FONT>
   </TD>
   </TR>
	<TR><TD COLSPAN="4" ALIGN="LEFT" VALIGN="BOTTOM">
   <font face="$font_face_3" color="$font_color_3" size="$font_size_3">
	<b><a href="$boardurl">Lobby/&Uuml;bersicht</a> :
	<a href="$boardurl?conf=$r_setup->{'forum_conf'}->{$forum}">$r_setup->{'conf_name'}->{ $r_setup->{'forum_conf'}->{$forum} }</a> :
	$r_setup->{'forum_name'}->{$forum}</b></FONT>
	</TD></TR>
   <a name="TOP">&nbsp;</a>
   ~;

   if ($r_setup->{'board_setup'}->{'threaded_main_listing'} 
			eq "on" && $r_in->{'arc_database'} eq '') {

      $table_heading .= qq~
      <TR BGCOLOR="$bg_color_0">
         <TH ALIGN="LEFT" colspan="4">
            <font SIZE="$font_size_0" FACE="$font_face_0" color="$font_color_0">
                  Diskussionen</font></TH></TR></TABLE>~;

   }
   elsif ($r_setup->{'board_setup'}->{'display_caption'} eq "on") {
      $table_heading = get_table_heading('main');
   }
   else {
      $table_heading = get_table_heading();
   }

   $html_output .= $table_heading;
  
   my @row = @$r_rowdata[$start..$stop];
  
   toggle_color('reset');

   foreach (@row) {

      my $thisimg = "folder.gif";

# BIG 5 -- Exchange following lines of code if BIG5 Unicode is in use
#     my ($num,$date,$ltime,$name,$subject,$caption,$replies) = split(/::/, $_);
      my ($num,$date,$ltime,$name,$subject,$caption,$replies) = split(/\|/, $_);

      if ($team =~ /\b$name\b/) {
         $name .= $team_name;
      }
      
      if ($r_setup->{'board_setup'}->{'display_caption'} eq "on" && $caption ne "") {
         $caption = "<br>$caption...";
      }
      else {
         $caption = "";
      }

      if ($r_user_mark->{$forum} ne "") {
         my ($hh,$minute,$second) = split(/\:/, $ltime);
         my ($mmonth,$dd,$yy) = split(/\//, $date);
         $yy += 1900 if ($yy < 101);
         my $last_mesg = compute_time($yy, $mmonth, $dd, $hh, $minute, $second);
         $thisimg = "new_folder.gif" if ($last_mesg > $r_user_mark->{$forum});
      }

      if (length($subject) > $subject_length_max) {
         $subject = substr($subject,0,$subject_length_max);
         $subject .= "...";
      }

		# If threaded_main is on, then display threaded main

      my $r_thread = readdata("$maindir/$forum/$thread_dir/$num.$thread_ext");

      shift(@$r_thread);
      shift(@$r_thread);

		my $re_num = @{$r_thread};

		# Fully threaded main listing

       if ($r_setup->{'board_setup'}->{'threaded_main_listing'} eq "on" 
		 	and $r_in->{'arc_database'} eq '') {

         $ltime = time_format($ltime);
         $date = date_format($date);

			toggle_color();

         $html_output .=qq~
            <TABLE BORDER="0" WIDTH="$table_width" cellspacing="1" cellpadding="3">
            <TR BGCOLOR="$bgcolor"><TD ALIGN="LEFT" VALIGN="TOP">
				<img src="$imgurl/folder.gif">
            ~;

         if ($r_setup->{'forum_type'}->{$forum} eq "Private") {
            $html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$exurl?az=show_thread&om=$num&forum=$forum"><b>$subject</b></a>
               <b>$name</b>, $date, $ltime~;
         }
         else {
            $html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$mainurl/$forum/$num\.$ext"><b>$subject</b></a>
               <b>$name</b>, $date, $ltime~;
         }

         $html_output .= "</TD></TR>\n";

			toggle_color();

			$html_output .= qq~
			<TR><TD ALIGN="LEFT" VALIGN="TOP" BGCOLOR="$bgcolor">
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
					~;

			my $prev_level = 0;
			my $ul_count = 0;

			foreach (@$r_thread) {

# BIG5 -- Exchange following lines of code if BIG5 Unicode is in use
#           my ($omm,$level,$subject,$name,$email,$ltime,$date,$body) = split(/::/,$_);
            my ($omm,$level,$subject,$name,$email,$ltime,$date,$body) = split /\|/;

		      if (length($subject) > $subject_length_max) {
        			$subject = substr($subject,0,$subject_length_max);
        			$subject .= "...";
     			}

# BIG5
#         	$subject =~ s/&pip;/::/g;
         	$subject =~ s/&pip;/\|/g;

		    	if ($team =~ /\b$name\b/) {
					$name .= $team_name;
				}

		  		my $icon = "file.gif";
				my $new_icon = '';
  	         my $space = ($level-1)*$level_spacing + 1;
				$space = 18 if ($level == 1);

        	   if ($r_user_mark->{$forum} ne "") {
           	   my ($hh,$minute,$second) = split(/\:/, $ltime);
            	my ($mmonth,$dd,$yy) = split(/\//, $date);
   	         $yy += 1900 if ($yy < 101);
   		  	      my $last_mesg = compute_time($yy, $mmonth, $dd, $hh, $minute, $second);
        		   $icon = "new_file.gif" if ($last_mesg > $r_user_mark->{$forum});
         		$new_icon = "<img src=\"$imgurl/newmark.gif\">" if ($last_mesg > $r_user_mark->{$forum});
           	}

				$icon = "folder.gif" if ($level == 1);
  	         $ltime = time_format($ltime);
     	      $date = date_format($date);

				if ($level > $prev_level) {
					for ($j=0;$j<$level-$prev_level;$j++) {
						$html_output .= "<ul>\n";
						$ul_count++;
					}
				}
				elsif ($level < $prev_level) {
					for ($j=0;$j<$prev_level-$level;$j++) {
						$html_output .= "</ul>\n";
						$ul_count--;
					}
				}

				$prev_level = $level;
      	      	$html_output .= qq~
             	<li><a href="$exurl?az=show_thread&omm=$omm&om=$num&forum=$forum">$subject</a> $new_icon
             	<b>$name</b>, <font size="1">$ltime, $date</font>
             	~;

		   } #end of foreach $r_thread

			for ($j=0;$j<$ul_count;$j++) {
				$html_output .= "</ul>\n";
			}


			$html_output .=qq~
               </FONT></TD></TR></table>
            ~;


      }
      elsif ($r_setup->{'board_setup'}->{'display_caption'} eq "on") {

         $caption = trim($caption);
# BIG5
#         $caption =~ s/&pip;/::/g;
         $caption =~ s/&pip;/\|/g;
         $html_output .=qq~
            <TR BGCOLOR="$bgcolor"><TD ALIGN="LEFT" VALIGN="TOP">
            <img src="$imgurl/$thisimg">~;

			if ($re_num > $r_setup->{'board_setup'}->{'max_messages'}) {

		      if ($r_in->{'arc_database'} eq '') {
   	         $html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$exurl?az=show_thread&om=$num&forum=$forum&omm=0"><b>$subject</b></a>~;

	            if ($r_setup->{'forum_type'}->{$forum} eq "Private") {
   	            $html_output .=qq~
                  [<a href="$exurl?az=show_thread&om=$num&forum=$forum"><b>Display All</b></a>]
      	         ~;
         	   }
         	   else {
            	   $html_output .=qq~
                  [<a href="$mainurl/$forum/$num\.$ext"><b>Display All</b></a>]
            	   ~;
         	   }
				}
				else {
   	         $html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$exurl?az=show_thread&om=$num&forum=$forum"><b>$subject</b></a>~;
				}

   	         $html_output .=qq~
               $caption
               </FONT></TD>
      	      ~;
			}
			else {
	         if ($r_setup->{'forum_type'}->{$forum} eq "Private") {
   	         $html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$exurl?az=show_thread&om=$num&forum=$forum"><b>$subject</b></a>
               $caption</FONT></TD>
      	      ~;
         	}
         	else {
            	$html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$mainurl/$forum/$num\.$ext"><b>$subject</b></a>
               $caption</FONT></TD>
            	~;
         	}
			}
   
         $ltime = time_format($ltime);
         $date = date_format($date);
   
         $html_output .=qq~
         <TD ALIGN="Left" VALIGN="TOP">
            <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
            <b>$name</b><br>
            $date $ltime<br>
            <b>$replies</b> Beitr&auml;ge</FONT>
         </TD>
         </TR>
         ~;
			toggle_color();

      }
      else {

         $html_output .=qq~
            <TR BGCOLOR="$bgcolor"><TD ALIGN="LEFT" VALIGN="TOP">
            <img src="$imgurl/$thisimg">~;

			if ($re_num > $r_setup->{'board_setup'}->{'max_messages'}) {

		      if ($r_in->{'arc_database'} eq '') {
   	         $html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$exurl?az=show_thread&om=$num&forum=$forum&omm=0"><b>$subject</b></a>~;
		         if ($r_setup->{'forum_type'}->{$forum} eq "Private") {
	   	         $html_output .=qq~
	               [<a href="$exurl?az=show_thread&om=$num&forum=$forum"><b>Display&nbsp;All</b></a>]
	      	      ~;
	         	}
	         	else {
	            	$html_output .=qq~
	               [<a href="$mainurl/$forum/$num\.$ext"><b>Alle&nbsp;anzeigen</b></a>]
	            	~;
		         }
				}
				else {
   	         $html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$exurl?az=show_thread&om=$num&forum=$forum"><b>$subject</b></a>~;
				}
   	      $html_output .= "$caption</FONT></TD>\n";
			}
			else {

	         if ($r_setup->{'forum_type'}->{$forum} eq "Private") {
	            $html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$exurl?az=show_thread&om=$num&forum=$forum"><b>$subject</b></a>
               </FONT></TD>
   	         ~;
      	   }
         	else {
            	$html_output .=qq~
               <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
               <a href="$mainurl/$forum/$num\.$ext"><b>$subject</b></a>
					</FONT></TD>
            	~;
         	}   
			}

         $ltime = time_format($ltime);
         $date = date_format($date);

         $html_output .=qq~
         <TD ALIGN="CENTER"  VALIGN="TOP"">
            <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">$name</FONT></TD>      
         <TD ALIGN="CENTER" VALIGN="TOP">
            <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">$date $ltime</FONT>
         </TD>
         <TD ALIGN="CENTER" VALIGN="TOP">
            <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">$replies</FONT>
         </TD>
         </TR>
         ~;
			toggle_color();

      }


  } #End of foreach row

	unless ($r_setup->{'board_setup'}->{'threaded_main_listing'}
				 eq "on" && $r_in->{'arc_database'} eq '') {

   	$html_output .=qq~
   	<TR><TD COLSPAN="4" BGCOLOR="$bg_color_0" ALIGN="CENTER">&nbsp;</TD></TR>
   	<TR><TD COLSPAN="4" ALIGN="RIGHT">
         <FONT SIZE="$font_size" COLOR="$font_color" FACE="$font_face">
			$temp_output</font></TD></TR></TABLE>	
  			</CENTER>~;

	}

   return ($heading, $sub_heading, $html_output);

}

####
# function menu_links
####

sub menu_links {

	my ($r_in,$r_setup) = @_;
	my $output;
	my @list = qw(1 2 3 4 5 6 7);

	# Some javascript stuff for drop and jump effect

   $output = qq~
<script language="javascript">
function MakeArray2() {
   this.length = MakeArray2.arguments.length
   for (var i = 0; i < this.length; i++)
   this[i+1] = MakeArray2.arguments[i]
}

var url2 = new MakeArray2("",\n~;

   foreach (@list) {
		$output .= "\"$exurl?az=n_mesg&days=$_\",\n";
	}

	chomp($output);
	chop($output);

	$output .= qq~
	)

function jumpPage2(form) {
i = form.days.selectedIndex;
if (i == 0) return;
    window.location.href = url2[i+1];
}
</script>

      <FORM METHOD="POST" ACTION="$exurl">
      <INPUT TYPE="HIDDEN" NAME="az" VALUE="n_mesg">
      <FONT SIZE="2">
		<SELECT NAME="days" onChange="jumpPage2(this.form)">~;
	   	$output .= qq~
   	  	<option>Alle Beitr&auml;ge lesen
			~;

   foreach (@list) {
		if ($_ == 1) {
	   	$output .= qq~
   	  	<option value="$_">Beitr&auml;ge des letzten Tages lesen
			~;
		}
		else {
	   	$output .= qq~
   	  	<option value="$_">Beitr&auml;ge der letzten $_ Tage lesen
			~;
		}
	}

  	$output .= qq~
      </SELECT>
      <INPUT TYPE="SUBMIT" NAME="submit" VALUE="Go">
      </FONT></FORM>~;
		
   $output;

}
