#!/usr/local/bin/perl
#
# dclogin.cgi - part of
# DCForum99 Version 1.1
# Part of DCForum by DCScripts
# Copyright  1997-1999 DCScripts All Rights Reserved
# 
# As part of the installation process, you will be asked
# to accept the terms of this Agreement. This Agreement is
# a legal contract, which specifies the terms of the license
# and warranty limitation between you and DCScripts and DCForum.
# You should carefully read this terms agreement as outlined in
# the readme.txt file included with this distribution before
# installing or using this software.  Unless you have a different license
# agreement obtained from DCScripts, installation or use of this software
# indicates your acceptance of the license and warranty limitation terms
# contained in this Agreement. If you do not agree to the terms of this
# Agreement, promptly delete and destroy all copies of the Software.
###################################################################
##  German translation by Lothar Jung for Webster Internet Dienstleistungen
##  http://Webster.de/dcscripts/
###################################################################

# Geben Sie den genauen Pfad ($path) zu diesem Programm an wenn
# wenn Sie bei der Ausf&uuml;hrung der Datei Probleme haben.
# Einige Server ben&ouml;tigen den vollen Pfad

$path = ".";

#>>>>>>>>>>>>>>> Keine weiteren &Auml;nderungen in diesem Script erforderlich <<<<<<<<


require "$path/dcforum.setup";
require "$path/dcboard.setup";

require "$cgidir/cgi-lib.pl";
require "$cgidir/dcforumlib.pl";
require "$cgidir/dclib.pl";
require "$cgidir/dcprotect.pl";

print "Content-type: text/html\n";

&ReadParse;

$r_in = \%in;

# Other variables you won't have to change

get_date($r_in);

$r_setup = initialize($password_file_dir,$forum_file,$board_setup_file);

# Set Global variables

require "$path/global.pl";

# Check and see if the user has
# expired session id
# If so, delete it

$session = get_cookie($cookie_name);
unless ($r_in->{'dc_action'}) {
	if ($session) {
		if (-e "$password_file_dir/$session.session") {
			unlink("$password_file_dir/$session.session");
		}
	  	send_cookie($cookie_name,$session,'Thur, 31-Dec-98 12:00:00 GMT','');
		$session = '';
	}
}

# Need orig_url to refresh back to the main page

unless ($r_in->{'orig_url'}) {
	$r_in->{'orig_url'} = $ENV{'HTTP_REFERER'};
}

# Call dcprotect - sort of like COPY COP...:-)
$r_in->{'userdata'} = dcprotect($dclogin,$password_file_dir,$r_in,
         \@login_fields,\%field_form_type);

if ($r_in->{'orig_url'} =~ /$dclogin/) {
	$r_in->{'orig_url'} = $boardurl;
}

# End HTTP HEADER
print "\n";

print qq~
<html>
<head>
<META HTTP-EQUIV="Refresh" CONTENT="0; URL=$r_in->{'orig_url'}">
</head>
<body bgolor="#FFFFFF">
<font size="4" face="verdana" color="#000099"><b>Loading Page, Please Wait...</b></font>
</body>
</html>
~;
exit;
